<?php
    //
    // includes
    //
    require_once 'api/db_api.php';
    require_once 'connectdb.php';

    //
    // init some static variables
    //
    $dpgcommunity_exists = dynpgPlugIn::plugin_Exists('DPGcommunity');
    if($dpgcommunity_exists)
        require_once 'plugins/DPGcommunity/api/db_api.php';

    //
    // local functions
    //
    function getTextIDs() {
        $string = '';
        $mysql_result = mysql_query("SELECT * FROM `dynpg_cms_article` ORDER BY `id` DESC");
        if( mysql_num_rows($mysql_result) < 1 ) {
            $string .= "<option value=\"0\">- keine Artikel -</option>\n";
        } else {
            while( $mysql_row = mysql_fetch_array($mysql_result) ) {
                $textid = "";
                while( (strlen($mysql_row["id"]) + strlen($textid)) < 4 ) {
                    $textid .= "0";
                }

                $textid .= $mysql_row["id"];
                $string .= "<option value=\"".$mysql_row["id"]."\">Artikel ".$textid." (".dynpg_htmlentities_rigid($mysql_row["TITLE"],ENT_COMPAT,true).")</option>\n";
            }
        }

        return $string;
    }

    function hasGroupSuccessors($_grp_id = NULL) {
        if ( is_null($_grp_id) ) {
            return 0;
        }

        return mysql_num_rows(
                mysql_query("SELECT * FROM `dynpg_cms_group_treestruct` WHERE `element_id_fk` = '".mysql_real_escape_string($_grp_id)."' AND `successor_id_fk` IS NOT NULL"));
    }

    function dnypg_interna_List_Successors_articles($_group_id, $_depth = 0, $_output_row = null, $_order_by = null, $_sort = null, $_as_html_list = TRUE, &$_selection = null, $_check_rights = TRUE, &$_selection_2 = null) {
        if (count($_selection_2))
            $_ca = 'IF(' . implode(' OR ', $_selection_2) . ', \'x\', \' \')';
          else
            $_ca = '\' \'';

        $__result = mysql_query("SELECT DISTINCT
                                        A.*,
                                        B.*,
                                        {$_ca} AS `CONTAINS_ARTICLE`
                                     FROM
                                        `dynpg_cms_group_treestruct` AS A
                                        INNER JOIN `dynpg_cms_groups` AS B
                                        ON A.`successor_id_fk` = B.`id`
                                     WHERE
                                        A.`element_id_fk` = '".mysql_real_escape_string($_group_id)."'
                                     ORDER BY
                                        B.`INDEX` ASC");

        while ( $__row = mysql_fetch_array($__result, MYSQL_ASSOC) ) {
            $_ouput = $_output_row;

            if ( !is_null($__row['successor_id_fk']) ) {
                $offset = mysql_query("SELECT * FROM `dynpg_cms_group_treestruct` WHERE `element_id_fk` = '".mysql_real_escape_string($__row['successor_id_fk'])."'");
                $__grp_has_Successors = mysql_num_rows($offset) > 0;
            } else {
                $__grp_has_Successors = FALSE;
            }

            if ( $_as_html_list ) {
                if ( $__grp_has_Successors ) {
                    $_ouput = str_replace('%SYMB%', '<img src="pictures/space.gif" alt="Space" title="" height="0" width="'.(string)($_depth * 15).'" border="0" />', $_ouput);
                } else {
                    $_ouput = str_replace('%SYMB%', '<img src="pictures/space.gif" alt="Space" title="" height="0" width="'.(string)($_depth * 15).'" border="0" />', $_ouput);
                }
            } else {
                if ( $__grp_has_Successors ) {
                    $_ouput = str_replace('%SYMB%', '|' . str_repeat('-', $_depth).'', $_ouput);
                } else {
                    $_ouput = str_replace('%SYMB%', '|' . str_repeat('-', $_depth) . '', $_ouput);
                }
            }

            foreach ( $__row as $key => $value ) {
                $value = dynpg_htmlentities_rigid($value,ENT_COMPAT,true);

                if ( $key == 'SHORTTEXT' && !empty($value) ) {
                    $value = '(' . $value . ')';
                }

                $_ouput = str_replace('%'.strtoupper($key).'%', $value, $_ouput);
            }

            if(is_array($_selection)){
                if(!in_array($__row['id'], $_selection)){
                    $_ouput = str_replace(' checked="checked"', '', $_ouput);
                }
            }else{
                if($_selection != $__row['id']){
                    $_ouput = str_replace(' checked="checked"', '', $_ouput);
                }
            }

            if ( !$_check_rights || ( $_check_rights && dynpg_getRightsToUser(null, 'GROUP', $__row['id'], 'asArray') != Array('FALSE', 'FALSE', 'FALSE', 'FALSE') ) ) {
                echo $_ouput;

                if ( !is_null($__row['successor_id_fk']) ) {
                        dnypg_interna_List_Successors_articles($__row['successor_id_fk'], $_depth + 1, $_output_row, $_order_by, $_sort, $_as_html_list, $_selection);
                }
            }
        }
    }

    function save_options($aid) {
		$dbh = new DB_DynPGDB_Article_Options();
		$dbh->db_delete(null, "`article_id_fk` = '".mysql_real_escape_string($aid)."'");
		foreach ($_POST as $key => $value) {
			if (preg_match('/^article_option_(\w+)/sim', $key)) {
				$dbh->insert(
					Array($aid, $value)
				);
			}
		}
	}

    //
    // init parametes
    //
    $take     = empty($_GET["take"])    ? 1         : $_GET["take"];
    $show     = empty($_GET["show"])    ? 1         : $_GET["show"];
    $sort     = empty($_GET["sort"])    ? ""        : $_GET["sort"];
    $orderby  = empty($_GET["orderby"]) ? 1         : $_GET["orderby"];
    $tblexp   = empty($_GET["tblexp"])  ? "bound"   : $_GET["tblexp"];
    $textto   = empty($_GET["textto"])  ? 0         : $_GET["textto"];
    $aid      = empty($_GET["aid"])     ? 0         : $_GET["aid"];

    $PHP_SELF = $_SERVER["PHP_SELF"];

    if ( isset($_GET["acttype"]) ) {
        $acttype = $_GET["acttype"];
    }

    if ( empty($_GET["p"]) && empty($_GET["s"]) )
    {
        $Page = Array();
        if ( !empty($_POST["SHOWNUM"]) ) {
            $Page["EachPage"] = (int)$_POST["SHOWNUM"];
        } else if ( empty($Page["EachPage"]) ) {
            $Page["EachPage"] = (int)C_MAXIMUM_SHOW_LIST;
        }

        if ( !empty($_POST["PAGE"]) ) {
            $Page["NumPage"] = (int)$_POST["PAGE"];
        } else if ( empty($Page["NumPage"]) ) {
            $Page["NumPage"] = 0;
        }

    } else {
        $Page["EachPage"] = (int)$_GET["s"];
        $Page["NumPage"]  = (int)$_GET["p"];
    }

    $Page["EachPage"] = max(0, $Page["EachPage"]);
    $Page["NumPage"] = max(0, $Page["NumPage"]);

    $buffer_TextIDs = getTextIDs();

    $SQL = "SELECT * FROM `dynpg_cms_groups` WHERE `id`='".mysql_real_escape_string($take)."'";
    $RES = mysql_query($SQL);
    $ROW = mysql_fetch_object($RES);

    $ParentGroup = dynpg_htmlentities_rigid($ROW->NAME,ENT_COMPAT,true);

    $ErrorMessage = '';
?>

<h3><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_title"]; ?></h3>

<h4><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_active_group"] . ' <em>' . $ParentGroup . '</em>'; ?></h4>

<?php
    //
    // handle actions
    //

    if (!empty($_POST["BATCH_ACTION"]))
    {
        switch ($_POST["SEL_ACTION"])
        {
            case "DEL":
                $acttype="del";
				$aid=-1;
            break;

            case "NULLEN":
                $del_array=array();
                for ($i=1; $i<=$_POST["BATCH_ACTION"]; $i++)
                    if ( isset($_POST["Check?$i"]) && $_POST["Check?$i"]=="1" )
                        $del_array[] = $i;

                foreach ($del_array as $i)
                {
                    $SQL = "UPDATE `dynpg_cms_counter` SET `dynpg_cms_counter`.`visits`='0' WHERE `dynpg_cms_counter`.`section`='article>$i'";
                    $RES = mysql_query($SQL);
                }

                $Sucessfull=TRUE;
            break;

            case "DOPRIVATE":
            case "DOPUBLIC":
                $del_array=array();
                for ($i=1; $i<=$_POST["BATCH_ACTION"]; $i++)
                    if ( isset($_POST["Check?$i"]) && $_POST["Check?$i"]=="1" )
                        $del_array[] = $i;

                foreach ($del_array as $i) {
                    $ispublic_ = ($_POST["SEL_ACTION"]=='DOPUBLIC'? 'TRUE': 'FALSE');
                    if ($_POST["SEL_ACTION"] == 'DOPUBLIC' && !dynpg_getRightsToUser(C_RIGHTS_PUBLISH, 'ARTICLE', $i))
                        $ispublic_ = "FALSE";
                    $RES = mysql_query("UPDATE `dynpg_cms_article` SET `ISPUBLIC` = '" . $ispublic_ . "' WHERE `id` = '".mysql_real_escape_string($i)."'");
                }

                $Sucessfull=TRUE;
            break;

            case "INTOHOME":
            case "NOTHOME":
                $del_array=array();
                for ($i=1; $i<=$_POST["BATCH_ACTION"]; $i++)
                    if ( isset($_POST["Check?$i"]) && $_POST["Check?$i"]=="1" )
                        $del_array[] = $i;

                $bool = $_POST["SEL_ACTION"] == "NOTHOME"? 'FALSE': 'TRUE';

                foreach ($del_array as $i) {
                    $SQL = "UPDATE `dynpg_cms_article` SET `ISATHOME` = '{$bool}' WHERE `id` = '".mysql_real_escape_string($i)."'";
                    $RES = mysql_query($SQL);
                }

                $Sucessfull=TRUE;
            break;

            case "MOVE":
                echo "
                <table border=0 Cellpadding=8 Cellspacing=0 class=\"InnerWebsiteTable\" width=400>
                <tr>
                    <td bgcolor=".C_WEBSITE_MAINBACKGROUND." valign=top>
                        <span class=\"yellow\">
                            <i>".$GLOBALS["lang_dpg"]->str["lang_articles_message_1"]."</i>
                            <table border=0 Cellspadding=0 Cellspacing=0>
                             <tr>
                              <form action=\"".$PHP_SELF."?".((!getenv("QUERY_STRING")) ? $_SERVER['QUERY_STRING'] : getenv("QUERY_STRING"))."\" method=\"post\" name=\"SUBMIT_NEW-CHG_MULTIACTION\">
                              <td>
                ";
                ?>
                                <BR>
                                <select size=1 name="NEW_ART_GROUP" class="TextFieldStyleWhite">
                                    <?php
                                        $mysql_result = mysql_query("SELECT DISTINCT
                                                                        A.*,
                                                                        B.*
                                                                     FROM
                                                                        `dynpg_cms_group_treestruct` AS A
                                                                        INNER JOIN `dynpg_cms_groups` AS B
                                                                        ON A.`element_id_fk` = B.`id`
                                                                     WHERE
                                                                        A.`root_id_fk` IS NULL
                                                                     GROUP BY
                                                                        A.`element_id_fk`
                                                                     ORDER BY
                                                                        B.`INDEX` ASC, B.`NAME` ASC");
                                $GLOBALS['__HTML_OUT_ROW'] = '<option value="%ID%" selected="selected">%SYMB% %NAME%</option>';

                                while ( $mysql_row = mysql_fetch_array($mysql_result, MYSQL_ASSOC) ) {
                                    $_ouput = $GLOBALS['__HTML_OUT_ROW'];

                                    if ( !is_null($mysql_row['successor_id_fk']) ) {
                                        $__grp_has_Successors = TRUE;
                                    } else {
                                        $__grp_has_Successors = FALSE;
                                    }

                                    if ( $__grp_has_Successors ) {
                                        $_ouput = str_replace('%SYMB%', '', $_ouput);
                                    } else {
                                        $_ouput = str_replace('%SYMB%', '', $_ouput);
                                    }

                                    foreach ( $mysql_row as $key => $value ) {
                                        $value = dynpg_htmlentities_rigid($value,ENT_COMPAT,true);

                                        $_ouput = str_replace('%'.strtoupper($key).'%', $value, $_ouput);
                                    }

                                    if ( $take != $mysql_row['id'] ) {
                                        $_ouput = str_replace(' selected="selected"', '', $_ouput);
                                    }

                                    echo $_ouput;

                                    if ( !is_null($mysql_row['element_id_fk']) ) {
                                            dnypg_interna_List_Successors($mysql_row['element_id_fk'], 1, $GLOBALS['__HTML_OUT_ROW'], 'NAME', 'ASC', FALSE, $take);
                                    }
                                }
                                     ?>
                                </select>
                                <?php
                                for ($i=1; $i<=$_POST["BATCH_ACTION"]; $i++){
                                    if (!empty($_POST["Check?$i"])){
                                        echo "<input type=\"hidden\" value=\"1\" name=\"Check?$i\">";
                                    }
                                }
                echo "
                                <input type=\"hidden\" value=\"".$_POST["BATCH_ACTION"]."\" name=\"BATCH_ACTION\">
                                <input type=\"hidden\" value=\"DO_MOVE\" name=\"SEL_ACTION\">
                                <p align=right><input type=\"submit\" class=\"ButtonStyleWhite\" value=\"".$GLOBALS["lang_dpg"]->str["lang_articles_ok_button"]."\"></p>
                              </td>
                              </form>
                             </tr>
                            </table>
                        </span>
                    </td>
                </tr>
                </table><BR>
                ";
                break;

            case 'DO_MOVE':
                $movestr="";
                for ($i=1; $i<=$_POST["BATCH_ACTION"]; $i++)
                    if ( isset($_POST["Check?$i"]) && $_POST["Check?$i"]=="1" )
                        $movestr.=$i.";";

                $move_array = explode(";", $movestr);

                foreach ($move_array as $i)
                {
                    $SQL = "UPDATE `dynpg_cms_article` SET `GROUP`='".mysql_real_escape_string($_POST["NEW_ART_GROUP"])."' WHERE `id`='".mysql_real_escape_string($i)."'";
                    mysql_query($SQL);
                    $Sucessfull=TRUE;
                }
                echo "
                <table border=0 Cellpadding=8 Cellspacing=0 class=\"InnerWebsiteTable\" width=400>
                <tr>
                    <td bgcolor=".C_WEBSITE_MAINBACKGROUND." valign=top>
                        <img src=\"pictures/innertext_info.jpg\"><BR>
                        <span class=\"green\">
                         <i>".$GLOBALS["lang_dpg"]->str["lang_message_success"]."<BR></i>
                        </span>
                    </td>
                </tr>
                </table><BR>
                ";
                break;

            default:
                break;
        }
    }

    $sortarray = Array(
        "ASC"  => "DESC",
        "DESC" => "ASC"
    );

    $orderbyarray = Array(
        "id"=>0,
        "TITLE"=>1,
        "LEAD"=>2,
        "DATE_TO"=>3,
        "CONTENT"=>4,
        "ISPUBLIC"=>5,
        "ISATHOME"=>6,
        "DATEFIX"=>7,
        "SHOWVISITS"=>8,
        "SHOWDATE"=>9,
        "CREATEDATE"=>10,
        "SEARCHKEYS"=>11,
        "INDEX"=>12,
        "OWNER"=>13,
        "MODIFIER"=>14,
        "CHANGED"=>15
    );

    if ( empty($sort) || empty($orderby) ) {
        $orderby = "id";
        $sort    = "DESC";
    }

    if (empty($sortarray[$sort]))
        $sort = "DESC";

    if (empty($orderbyarray[$orderby]))
        $orderby = "id";

    foreach ($orderbyarray as $i)
        if ($i != $orderbyarray[$orderby])
            $actualsortarray[$i] = $sortarray["DESC"];
        else
            $actualsortarray[$i] = $sortarray[$sort];

    $Sucessfull = TRUE;

    if ( !empty($_POST["STATUS"]) )
    {
        if ( ($_POST["TYPE"]=="Loeschen" || $_POST["TYPE"]=="LoeschenAlles") )
        {
            //
            // delete
            //
            $del_array = explode(";", $_POST["DELID"]);

            for ($i = 0; $i < count($del_array); $i++)
            {
                if ( empty($del_array[$i]) ) {
                    continue;
                }

                if (! dynpg_getRightsToUser(C_RIGHTS_DELETE, 'ARTICLE', $del_array[$i]) ) {
                    continue;
                }

                $SQL = "SELECT * FROM `dynpg_cms_article` WHERE `id`='".mysql_real_escape_string($del_array[$i])."'";
                $RES = mysql_query($SQL);
                $ROW = mysql_fetch_object($RES);

                $del_Content = $ROW->CONTENT;

                @mysql_free_result($RES);

                $SQL = "DELETE FROM `dynpg_cms_article` WHERE `id`='".mysql_real_escape_string($del_array[$i])."'";
                $RES = mysql_query($SQL);

                mysql_query("UPDATE `dynpg_cms_groups` SET `REFID` = NULL WHERE `REFID` = '".mysql_real_escape_string($del_array[$i])."'");

                mysql_query("DELETE FROM `dynpg_cms_rights` WHERE `PARENT`='GROUP' AND `SECTION`='".mysql_real_escape_string($_POST['DELID'])."'");

                mysql_query("DELETE FROM `dynpg_cms_articles_assoc` WHERE `article_id_fk` = '".mysql_real_escape_string($del_array[$i])."'");
                mysql_query("DELETE FROM `dynpg_cms_groups_assoc` WHERE `article_id_fk` = '".mysql_real_escape_string($del_array[$i])."'");

                if ($_POST["TYPE"]=="LoeschenAlles")
                {
                    @mysql_free_result($RES);
                    $SQL = "DELETE FROM `dynpg_cms_leadimages` WHERE AID='".mysql_real_escape_string($del_array[$i])."'";
                    $RES = mysql_query($SQL);

                    @mysql_free_result($RES);
                    $SQL = "DELETE FROM `dynpg_cms_articletexts` WHERE `dynpg_cms_articletexts`.`id`='".mysql_real_escape_string($del_Content)."'";
                    $RES = mysql_query($SQL);
                }

                @mysql_free_result($RES);
            }
        }
        elseif ($_POST["TYPE"] == $GLOBALS["lang_dpg"]->str["lang_articles_dublicate_button"])
        {
            //
            // duplicate
            //
            $Sucessfull = FALSE;
            if ( !empty($_POST["DUB_NEW-CHG_TITLE"]) &&  !empty($_POST["DUBID"])) {
                $_POST["DUB_NEW-CHG_TITLE"] = mysql_real_escape_string($_POST["DUB_NEW-CHG_TITLE"]);
                $sqlArticle = "SELECT
                                IFNULL(`GROUP`, 'NULL') AS `GROUP`,
                                IFNULL(`LEAD`, 'NULL') AS `LEAD`,
                                IFNULL(`DATE_UP`, 'NULL') AS `DATE_UP`,
                                IFNULL(`DATE_TO`, 'NULL') AS `DATE_TO`,
                                IFNULL(`TIME_UP`, 'NULL') AS `TIME_UP`,
                                IFNULL(`TIME_TO`, 'NULL') AS `TIME_TO`,
                                IFNULL(`CONTENT`, 'NULL') AS `CONTENT`,
                                IFNULL(`ISPUBLIC`, 'NULL') AS `ISPUBLIC`,
                                IFNULL(`ISATHOME`, 'NULL') AS `ISATHOME`,
                                IFNULL(`CREATEDATE`, 'NULL') AS `CREATEDATE`,
                                IFNULL(`DATEFIX`, 'NULL') AS `DATEFIX`,
                                IFNULL(`SHOWVISITS`, 'NULL') AS `SHOWVISITS`,
                                IFNULL(`SHOWDATE`, 'NULL') AS `SHOWDATE`,
                                IFNULL(`SEARCHKEYS`, 'NULL') AS `SEARCHKEYS`,
                                IFNULL(`INDEX`, 'NULL') AS `INDEX`,
                                IFNULL(`AUTO_DELETE`, 'NULL') AS `AUTO_DELETE`,
                                IFNULL(`META_TITLE`, 'NULL') AS `META_TITLE`,
                                IFNULL(`META_KEYWORDS`, 'NULL') AS `META_KEYWORDS`,
                                IFNULL(`META_DESCRIPTION`, 'NULL') AS `META_DESCRIPTION`
                              FROM `dynpg_cms_article` WHERE `id` = '".mysql_real_escape_string($_POST["DUBID"])."'";
                $resArticle =  mysql_query($sqlArticle);
                $articleRow = mysql_fetch_array($resArticle);
                if($_POST['duplicateContent'] == "1" && $articleRow['CONTENT'] != 'NULL' && $articleRow['CONTENT'] > 0){
                  //copy article content
                  $sqlContent = "SELECT * FROM `dynpg_cms_articletexts` WHERE id = '".mysql_real_escape_string($articleRow['CONTENT'])."'";
                  $resContent = mysql_query($sqlContent);
                  if(mysql_num_rows($resContent)){
                    $rowContent = mysql_fetch_object($resContent);
                    $sqlContentInsert = "INSERT INTO `dynpg_cms_articletexts` (`TEXT`,`GROUP`) VALUES ('".mysql_real_escape_string($rowContent->TEXT)."','".mysql_real_escape_string($rowContent->GROUP)."')";
                    mysql_query($sqlContentInsert);
                    $article_content_id = mysql_insert_id();
                    $articleRow['CONTENT'] = $article_content_id;
                  }
                  @mysql_free_result($resContent);
                }

                foreach ($articleRow as $key => $value)
                    $articleRow[$key] = mysql_real_escape_string($value);

                $ispublic_ = $articleRow['ISPUBLIC'];
                if ($ispublic_ == "TRUE" && !dynpg_getRightsToUser(C_RIGHTS_PUBLISH, 'GROUP', $articleRow['GROUP']))
                    $ispublic_ = "FALSE";

                $sqlInsertArticle = "INSERT INTO `dynpg_cms_article`
                                      (`GROUP` , `TITLE` , `LEAD` , `DATE_UP` , `DATE_TO` , `TIME_UP` , `TIME_TO` , `CONTENT` , `ISPUBLIC` , `ISATHOME` , `CREATEDATE`, `DATEFIX`, `SHOWVISITS`, `SHOWDATE`, `SEARCHKEYS`, `INDEX`, `OWNER`, `MODIFIER`, `CHANGED`, `AUTO_DELETE`, `META_TITLE`, `META_KEYWORDS`, `META_DESCRIPTION`)
                                     VALUES
                                      (
                                        '".$articleRow['GROUP']."',
                                        '".$_POST["DUB_NEW-CHG_TITLE"]."',
                                        '".$articleRow['LEAD']."',
                                        '".$articleRow['DATE_UP']."',
                                        '".$articleRow['DATE_TO']."',
                                        '".$articleRow['TIME_UP']."', '".$articleRow['TIME_TO']."',
                                        '".$articleRow['CONTENT']."',
                                        '".$ispublic_."',
                                        'FALSE',
                                        '".time()."',
                                        '".$articleRow['DATEFIX']."',
                                        '".$articleRow['SHOWVISITS']."',
                                        '".$articleRow['SHOWDATE']."',
                                        '".$articleRow['SEARCHKEYS']."',
                                        '".$articleRow['INDEX']."',
                                        '".mysql_real_escape_string($_SESSION['ID'])."',
                                        NULL,
                                        UNIX_TIMESTAMP(),
                                        " . (empty($articleRow['AUTO_DELETE']) ? 'NULL': $articleRow['AUTO_DELETE']) . ",
                                        '".$articleRow['META_TITLE']."',
                                        '".$articleRow['META_KEYWORDS']."',
                                        '".$articleRow['META_DESCRIPTION']."'
                                      )";
                mysql_query($sqlInsertArticle);
                $article_id = mysql_insert_id();

                mysql_query("INSERT INTO `dynpg_cms_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`, `PUBLISH`)
                            VALUES ('".mysql_real_escape_string($_SESSION["ID"])."', 'ARTICLE', '$article_id',
                            'TRUE', 'TRUE', 'TRUE', '".(dynpg_getRightsToUser(C_RIGHTS_PUBLISH, 'GROUP', $articleRow['GROUP'])?'TRUE':'FALSE')."')");

                if(!dynpg_getRightsToUser(C_RIGHTS_AUTARKIC)) {
                  $_ = mysql_query("SELECT DISTINCT A.*, B.`CREATE`, B.`DELETE`, B.`CHANGE`, B.`PUBLISH` FROM `dynpg_cms_user` AS A INNER JOIN `dynpg_cms_rights` AS B ON A.`id` = B.`USERID` WHERE B.`PARENT` = 'GROUP' AND B.`SECTION` = '{$articleRow['GROUP']}' AND ( B.`CREATE` = 'TRUE' OR B.`CHANGE` = 'TRUE' OR B.`DELETE` = 'TRUE' )");
                  while($r = mysql_fetch_assoc($_)){
                    mysql_query("INSERT INTO `dynpg_cms_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`, `PUBLISH`)
                                 VALUES ('{$r['id']}', 'ARTICLE', '$article_id', 'TRUE', '{$r['DELETE']}', '{$r['CHANGE']}', '{$r['PUBLISH']}')");
                  }
                  @mysql_free_result($_);
                }

                $sqlLead = "SELECT * FROM `dynpg_cms_leadimages` WHERE AID = '".mysql_real_escape_string($_POST["DUBID"])."'";
                $resLead = mysql_query($sqlLead);
                if(mysql_num_rows($resLead)){
                  $rowLead = mysql_fetch_object($resLead);
                  $sqlLeadInsert = "INSERT INTO `dynpg_cms_leadimages` (`IID` , `AID` , `ALIGN`) VALUES ('".$rowLead->IID."','".$article_id."','".$rowLead->ALIGN."')";
                  mysql_query($sqlLeadInsert);
                }
                @mysql_free_result($resLead);
                $aid = $article_id;

                // dublicate article options
				$dbh = new DB_DynPGDB_Article_Options();
				$dbh->readRow($_POST["DUBID"]);
		        while ($option = $dbh->db_fetch_row())
		            $dbh->insert(Array($aid, $option['option_id_fk']));

                $acttype = 'chg';
                $Sucessfull = TRUE;
            }
        }
        else
        {
            //
            // insert & change
            //
            if ( empty($_POST["NEW-CHG_TITLE"]) ) {
                $Sucessfull = FALSE;
            }
            else
            {
                // a) change article text
                $FormattedText = dynpg_public_replaceImageWildcarts_PubToPriv(mysql_real_escape_string($_POST["NEWCHG_TEXT"]));

                if ($_POST['SEL_CONTENT'] > 0) {
                  $ConnectedArticles = mysql_query("SELECT * FROM `dynpg_cms_article` WHERE `CONTENT`='".mysql_real_escape_string($_POST['SEL_CONTENT'])."'");
                  $right_CHANGE = TRUE;
                  $ConnectedArticleIds = array();
                  while($ConnectedArticle = mysql_fetch_array($ConnectedArticles, MYSQL_ASSOC)){
                    $ConnectedArticleIds[] = $ConnectedArticle['id'];
                    $right_CHANGE = dynpg_getRightsToUser(C_RIGHTS_CHANGE, 'ARTICLE', $ConnectedArticle['id']);
                    if(!$right_CHANGE)
                        break;
                  }
                  if($right_CHANGE) {
                    $SQL = "UPDATE `dynpg_cms_articletexts` SET `TEXT`='$FormattedText' WHERE `id`='".mysql_real_escape_string($_POST['SEL_CONTENT'])."'";
                    $RES = mysql_query($SQL);
                    @mysql_free_result($RES);
                    if (!empty($ConnectedArticleIds)) {
                        $SQL = "UPDATE `dynpg_cms_article` SET `dynpg_cms_article`.`MODIFIER`='".mysql_real_escape_string($_SESSION['ID'])."', `dynpg_cms_article`.`CHANGED` = " . time() . " WHERE `dynpg_cms_article`.`id` IN ('".implode('\',\'', $ConnectedArticleIds)."')";
                        $RES = mysql_query($SQL);
                        @mysql_free_result($RES);
                    }
                  }
                }

                // b) insert article text
                elseif(!empty($_POST['NEWCHG_TEXT']) && strlen($_POST['NEWCHG_TEXT']) > 0){
                    $SQL_CONTENT = "INSERT INTO `dynpg_cms_articletexts` (`TEXT`,`GROUP`) VALUES ('$FormattedText','0')";
                    $RES_CONTENT = mysql_query($SQL_CONTENT);
                    @mysql_free_result($RES_CONTENT);
                    $_POST['SEL_CONTENT'] = mysql_insert_id();
                }

                // c) parse lead
                $_POST["NEW-CHG_LEAD"] = dynpg_public_replaceImageWildcarts_PubToPriv(addslashes($_POST["NEW-CHG_LEAD"]));

                // d) validate dates
                $_stamp = dynpg_datetotimestamp($_POST["NEW-CHG_DATE_UP"]);
                if ( $_stamp > 0 ) {
                    $_POST["NEW-CHG_DATE_UP"] = date("d.m.Y", $_stamp);
                } else {
                    $_POST["NEW-CHG_DATE_UP"] = "00.00.0000";
                }

                $_stamp = dynpg_datetotimestamp($_POST["NEW-CHG_DATE_TO"]);
                if ( $_stamp > 0 ) {
                    $_POST["NEW-CHG_DATE_TO"] = date("d.m.Y", $_stamp);
                } else {
                    $_POST["NEW-CHG_DATE_TO"] = "00.00.0000";
                }

                $_stamp = dynpg_datetotimestamp("02.01.1970", $_POST["NEW-CHG_TIME_UP"]);
                if ( $_stamp > 0 ) {
                    $_POST["NEW-CHG_TIME_UP"] = date("H:i:s", $_stamp);
                } else {
                    $_POST["NEW-CHG_TIME_UP"] = "00:00:00";
                }

                $_stamp = dynpg_datetotimestamp("02.01.1970", $_POST["NEW-CHG_TIME_TO"]);
                if ( $_stamp > 0 ) {
                    $_POST["NEW-CHG_TIME_TO"] = date("H:i:s", $_stamp);
                } else {
                    $_POST["NEW-CHG_TIME_TO"] = "00:00:00";
                }

                // e) switch "create" & "change"
                switch (($_POST["TYPE"]))
                {
                    case $GLOBALS["lang_dpg"]->str["lang_articles_create_button"]:

                        if (!empty($_POST["CH_ISPUBLIC"]))   $ispublic="TRUE"; else $ispublic="FALSE";
                        if (!empty($_POST["CH_ISATHOME"]))   $isathome="TRUE"; else $isathome="FALSE";
                        if (!empty($_POST["CH_SHOWVISITS"])) $showvisits="TRUE"; else $showvisits="FALSE";
                        if (!empty($_POST["CH_SHOWDATE"]))   $showdate="TRUE"; else $showdate="FALSE";

                        if ( ($_POST["NEW-CHG_DATE_UP"]=="00.00.0000" && $_POST["NEW-CHG_TIME_UP"]=="00:00:00")
                             || (empty($_POST["NEW-CHG_DATE_UP"]) && empty($_POST["NEW-CHG_TIME_UP"]))
                            ) {
                                $time = time();
                              } else {
                                $time = dynpg_datetotimestamp($_POST["NEW-CHG_DATE_UP"], $_POST["NEW-CHG_TIME_UP"]);
                              }

                        if ( ($_POST["NEW-CHG_FIX_DATE"]=="00.00.0000" && $_POST["NEW-CHG_FIX_TIME"]=="00:00:00")
                             || empty($_POST["NEW-CHG_FIX_DATE"])
                             || empty($_POST["NEW-CHG_FIX_TIME"])
                           ) {
                                $fixtime = 99999999999;
                             } else {
                                $fixtime = dynpg_datetotimestamp($_POST["NEW-CHG_FIX_DATE"], $_POST["NEW-CHG_FIX_TIME"]);
                             }

                        foreach ($_POST as $key => $value) {
                            if($key == 'SEL_GROUP'){
                                //normal entry
                                $duplicate = FALSE;
                                $setasgroupentry = FALSE;
                                $isathomeTmp = $isathome;
                            }elseif(preg_match('/^SEL\_GROUP\_([0-9]+)/', $key, $matches)){
                                //duplicate entry
                                $duplicate = TRUE;
                                $setasgroupentry = FALSE;
                                $isathomeTmp = "FALSE";
                            }elseif(preg_match('/^SEL\_GROUP\_ART\_([0-9]+)/', $key, $matches)){
                                //set as group entry
                                $setasgroupentry = TRUE;
                            }else{
                                continue;
                            }

                            $group_id = $value;

                            if (!dynpg_getRightsToUser(C_RIGHTS_CREATE, 'GROUP', $group_id)) {
                                $Sucessfull = FALSE;
                                break;
                            }

                            if($setasgroupentry){
                                if(!empty($article_id)){
                                    $SQL = "UPDATE `dynpg_cms_groups` SET `REFID` = '".mysql_real_escape_string($article_id)."' WHERE `id` = '".mysql_real_escape_string($group_id)."' ";
                                    $RES = mysql_query($SQL);
                                }
                                continue;
                            }

                            $articletext_id = $_POST['SEL_CONTENT'];
                            if($duplicate && $_POST['duplicateContent'] == '1' && $_POST['SEL_CONTENT'] > 0){
                                $SQL = "SELECT * FROM `dynpg_cms_articletexts` WHERE id = '".mysql_real_escape_string($_POST['SEL_CONTENT'])."'";
                                $RES = mysql_query($SQL);
                                if(mysql_num_rows($RES)){
                                  $ROW = mysql_fetch_object($RES);
                                  $SQL = "INSERT INTO `dynpg_cms_articletexts` (`TEXT`,`GROUP`) VALUES ('".mysql_real_escape_string($ROW->TEXT)."','".mysql_real_escape_string($ROW->GROUP)."')";
                                  $RES = mysql_query($SQL);
                                  $articletext_id = mysql_insert_id();
                                }
                                @mysql_free_result($RES);
                            }

                            $ispublic_ = $ispublic;
                            if ($ispublic_ == "TRUE" && !dynpg_getRightsToUser(C_RIGHTS_PUBLISH, 'GROUP', $group_id))
                                $ispublic_ = "FALSE";

                            $SQL = "INSERT INTO `dynpg_cms_article`
                                        (`GROUP` , `TITLE` , `LEAD` , `DATE_UP` , `DATE_TO` , `TIME_UP` , `TIME_TO` , `CONTENT` , `ISPUBLIC` , `ISATHOME` , `CREATEDATE`, `DATEFIX`, `SHOWVISITS`, `SHOWDATE`, `SEARCHKEYS`, `INDEX`, `OWNER`, `MODIFIER`, `CHANGED`, `AUTO_DELETE`, `META_TITLE`, `META_KEYWORDS`, `META_DESCRIPTION`)
                                        VALUES
                                        (
                                            '{$group_id}',
                                            '".mysql_real_escape_string($_POST["NEW-CHG_TITLE"])."',
                                            '".$_POST["NEW-CHG_LEAD"]."',
                                            '".ConvertMysqlDate($_POST["NEW-CHG_DATE_UP"], "DateToMySql")."',
                                            '".ConvertMysqlDate($_POST["NEW-CHG_DATE_TO"], "DateToMySql")."',
                                            '".mysql_real_escape_string($_POST["NEW-CHG_TIME_UP"])."', '".mysql_real_escape_string($_POST["NEW-CHG_TIME_TO"])."',
                                            '{$articletext_id}',
                                            '{$ispublic_}',
                                            '{$isathomeTmp}',
                                            '{$time}',
                                            '{$fixtime}',
                                            '{$showvisits}',
                                            '{$showdate}',
                                            '".mysql_real_escape_string($_POST["NEW-CHG_SEARCHKEYS"])."',
                                            '".mysql_real_escape_string($_POST["NEW-CHG_INDEX"])."',
                                            '".mysql_real_escape_string($_SESSION['ID'])."',
                                            NULL,
                                            UNIX_TIMESTAMP(),
                                            " . (empty($_POST["NEW-CHG_AUTO_DELETE"]) ? 'NULL': mysql_real_escape_string($_POST["NEW-CHG_AUTO_DELETE"])) . ",
                                            '".mysql_real_escape_string($_POST["NEW-CHG_META_TITLE"])."',
                                            '".mysql_real_escape_string($_POST["NEW-CHG_META_KEYWORDS"])."',
                                            '".mysql_real_escape_string($_POST["NEW-CHG_META_DESCRIPTION"])."'
                                        )";

                            $RES = mysql_query($SQL);

                            $article_id = mysql_insert_id();

                            save_options($article_id);

                            mysql_query("INSERT INTO `dynpg_cms_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`, `PUBLISH`)
                                                VALUES ('".mysql_real_escape_string($_SESSION['ID'])."', 'ARTICLE', '$article_id',
                                                        'TRUE', 'TRUE', 'TRUE', '".(dynpg_getRightsToUser(C_RIGHTS_PUBLISH, 'GROUP', $group_id)?'TRUE':'FALSE')."')");

                            if (! dynpg_getRightsToUser(C_RIGHTS_AUTARKIC) ) {
                                $_ = mysql_query("SELECT DISTINCT A.*, B.DELETE, B.CHANGE, B.PUBLISH FROM `dynpg_cms_user` AS A INNER JOIN `dynpg_cms_rights` AS B ON A.`id` = B.`USERID` WHERE B.`PARENT` = 'GROUP' AND B.`SECTION` = '".mysql_real_escape_string($group_id)."' AND ( B.`CREATE` = 'TRUE' OR B.`CHANGE` = 'TRUE' OR B.`DELETE` = 'TRUE' OR B.`PUBLISH` = 'TRUE' )");

                                while ( $r = mysql_fetch_assoc($_) ) {
                                    if ($r['id'] != $_SESSION["ID"])
                                        mysql_query("INSERT INTO `dynpg_cms_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`, `PUBLISH`)
                                                     VALUES ('{$r['id']}', 'ARTICLE', '{$article_id}', 'TRUE', '{$r['DELETE']}', '{$r['CHANGE']}', '{$r['PUBLISH']}')");
                                }
                            }

                            @mysql_free_result($RES);

                            if ($_POST["SEL_IMAGE"]!="-1")
                            {
                                $SQL = "INSERT INTO `dynpg_cms_leadimages` (`IID` , `AID` , `ALIGN` )
                                            VALUES ('".mysql_real_escape_string($_POST['SEL_IMAGE'])."','$article_id','".mysql_real_escape_string($_POST['SEL_IMAGE_ALIGN'])."')";
                                $RES = mysql_query($SQL);

                                @mysql_free_result($RES);
                            }

                            $Sucessfull = TRUE;
                        }
                    break;

                    case $GLOBALS["lang_dpg"]->str["lang_articles_change_button"]:

                        $group_id = null;
                        if(isset($_POST["SEL_GROUP"])){
                            $group_id = $_POST["SEL_GROUP"];
                        }

                        if ( $group_id != null && dynpg_getRightsToUser(C_RIGHTS_CHANGE, 'ARTICLE', $_POST["CHGID"]) )
                        {
                            if (!empty($_POST["CH_ISPUBLIC"]))      $ispublic   = "TRUE"; else $ispublic    = "FALSE";
                            if (!empty($_POST["CH_ISATHOME"]))      $isathome   = "TRUE"; else $isathome    = "FALSE";
                            if (!empty($_POST["CH_SHOWVISITS"]))    $showvisits = "TRUE"; else $showvisits  = "FALSE";
                            if (!empty($_POST["CH_SHOWDATE"]))      $showdate   = "TRUE"; else $showdate    = "FALSE";

                            if ($ispublic == "TRUE" && !dynpg_getRightsToUser(C_RIGHTS_PUBLISH, 'ARTICLE', $_POST["CHGID"]))
                                $ispublic = "FALSE";

                            if ( ($_POST["NEW-CHG_DATE_UP"]=="00.00.0000" && $_POST["NEW-CHG_TIME_UP"]=="00:00:00")
                                 || (empty($_POST["NEW-CHG_DATE_UP"]) && empty($_POST["NEW-CHG_TIME_UP"]))
                                ) {
                                    $time = time();
                                  } else {
                                    $time = dynpg_datetotimestamp($_POST["NEW-CHG_DATE_UP"], $_POST["NEW-CHG_TIME_UP"]);
                                  }

                            if ( ($_POST["NEW-CHG_FIX_DATE"]=="00.00.0000" && $_POST["NEW-CHG_FIX_TIME"]=="00:00:00")
                                 || empty($_POST["NEW-CHG_FIX_DATE"])
                                 || empty($_POST["NEW-CHG_FIX_TIME"])
                               ) {
                                $fixtime = 99999999999;
                             } else {
                                $fixtime = dynpg_datetotimestamp($_POST["NEW-CHG_FIX_DATE"], $_POST["NEW-CHG_FIX_TIME"]);
                             }

                            $SQL = "UPDATE `dynpg_cms_article`
                                SET
                                  `dynpg_cms_article`.`GROUP`='{$group_id}',
                                  `dynpg_cms_article`.`TITLE`='".mysql_real_escape_string($_POST["NEW-CHG_TITLE"])."',
                                  `dynpg_cms_article`.`LEAD`='".$_POST["NEW-CHG_LEAD"]."',
                                  `dynpg_cms_article`.`DATE_UP`='".ConvertMysqlDate($_POST["NEW-CHG_DATE_UP"], "DateToMySql")."',
                                  `dynpg_cms_article`.`DATE_TO`='".ConvertMysqlDate($_POST["NEW-CHG_DATE_TO"], "DateToMySql")."',
                                  `dynpg_cms_article`.`TIME_UP`='".mysql_real_escape_string($_POST["NEW-CHG_TIME_UP"])."',
                                  `dynpg_cms_article`.`TIME_TO`='".mysql_real_escape_string($_POST["NEW-CHG_TIME_TO"])."',
                                  `dynpg_cms_article`.`CONTENT`='".mysql_real_escape_string($_POST["SEL_CONTENT"])."',
                                  `dynpg_cms_article`.`ISPUBLIC`='$ispublic',
                                  `dynpg_cms_article`.`ISATHOME`='$isathome',
                                  `dynpg_cms_article`.`DATEFIX`='$fixtime',
                                  `dynpg_cms_article`.`SHOWVISITS`='$showvisits',
                                  `dynpg_cms_article`.`SHOWDATE`='$showdate',
                                  `dynpg_cms_article`.`SEARCHKEYS`='".mysql_real_escape_string($_POST["NEW-CHG_SEARCHKEYS"])."',
                                  `dynpg_cms_article`.`INDEX`='".mysql_real_escape_string($_POST["NEW-CHG_INDEX"])."',
                                  `dynpg_cms_article`.`MODIFIER`='".mysql_real_escape_string($_SESSION['ID'])."',
                                  `dynpg_cms_article`.`CHANGED`=" . time() . ",
                                  `dynpg_cms_article`.`AUTO_DELETE`=" . (empty($_POST["NEW-CHG_AUTO_DELETE"]) ? 'NULL': mysql_real_escape_string($_POST["NEW-CHG_AUTO_DELETE"])) . ",
                                  `dynpg_cms_article`.`META_TITLE`='".mysql_real_escape_string($_POST["NEW-CHG_META_TITLE"])."',
                                  `dynpg_cms_article`.`META_KEYWORDS`='".mysql_real_escape_string($_POST["NEW-CHG_META_KEYWORDS"])."',
                                  `dynpg_cms_article`.`META_DESCRIPTION`='".mysql_real_escape_string($_POST["NEW-CHG_META_DESCRIPTION"])."'
                                WHERE
                                  `dynpg_cms_article`.`id`='".mysql_real_escape_string($_POST['CHGID'])."'";

                            $RES = mysql_query($SQL);
                            @mysql_free_result($RES);

                            save_options($_POST['CHGID']);

                            $SQL = "SELECT * FROM `dynpg_cms_leadimages` WHERE `AID`='".mysql_real_escape_string($_POST['CHGID'])."'";
                            $RES = mysql_query($SQL);
                            $ROW = mysql_fetch_object($RES);

                            if (!empty($ROW))
                            {
                                $chg_ID = $ROW->id;
                                @mysql_free_result($RES);

                                $SQL = "DELETE FROM `dynpg_cms_leadimages` WHERE `id`='$chg_ID'";
                                $RES = mysql_query($SQL);
                                @mysql_free_result($RES);
                            }

                            if ($_POST["SEL_IMAGE"]!="-1")
                            {
                                $SQL = "INSERT INTO `dynpg_cms_leadimages` (`IID` , `AID` , `ALIGN` )
                                            VALUES ('".mysql_real_escape_string($_POST['SEL_IMAGE'])."','".mysql_real_escape_string($_POST['CHGID'])."','".mysql_real_escape_string($_POST['SEL_IMAGE_ALIGN'])."')";
                                $RES = mysql_query($SQL);

                                @mysql_free_result($RES);
                            }

                            $Sucessfull=TRUE;

                            if(!empty($_POST["CHGID"])){
                                $SQL = "SELECT * FROM `dynpg_cms_groups` WHERE `REFID` = '".mysql_real_escape_string($_POST["CHGID"])."'";
                                $RES = mysql_query($SQL);
                                while ($GRP_ROW = mysql_fetch_assoc($RES)) {
                                    if (dynpg_getRightsToUser(C_RIGHTS_CHANGE, 'GROUP', $GRP_ROW['id']))
                                        mysql_query("UPDATE `dynpg_cms_groups` SET `REFID` = 'NULL' WHERE `id` = '" . $GRP_ROW['id'] . "'");
                                }
                            }

                          //copy entry in groups
                          foreach ($_POST as $key => $value) {
                            if(preg_match('/^SEL\_GROUP\_([0-9]+)/', $key, $matches)){
                              $setasgroupentry = FALSE;
                            }elseif(preg_match('/^SEL\_GROUP\_ART\_([0-9]+)/', $key, $matches)){
                              $setasgroupentry = TRUE;
                            }else{
                              continue;
                            }

                            $group_id = $value;

                            if (!$setasgroupentry && !dynpg_getRightsToUser(C_RIGHTS_CREATE, 'GROUP', $group_id)) {
                                continue;
                            }

                            if ($setasgroupentry && !dynpg_getRightsToUser(C_RIGHTS_CHANGE, 'GROUP', $group_id)) {
                                continue;
                            }

                            if($setasgroupentry){
                                if(!empty($_POST["CHGID"])){
                                    $SQL = "UPDATE `dynpg_cms_groups` SET `REFID` = '".mysql_real_escape_string($_POST["CHGID"])."' WHERE `id` = '".mysql_real_escape_string($group_id)."' ";
                                    $RES = mysql_query($SQL);
                                }
                                continue;
                            }

                            $articletext_id = $_POST['SEL_CONTENT'];
                            if($_POST['duplicateContent'] == '1' && $_POST['SEL_CONTENT'] > 0){
                              $SQL = "SELECT * FROM `dynpg_cms_articletexts` WHERE id = '".mysql_real_escape_string($_POST['SEL_CONTENT'])."'";
                              $RES = mysql_query($SQL);
                              if(mysql_num_rows($RES)){
                                $ROW = mysql_fetch_object($RES);
                                $SQL = "INSERT INTO `dynpg_cms_articletexts` (`TEXT`,`GROUP`) VALUES ('".mysql_real_escape_string($ROW->TEXT)."','".$ROW->GROUP."')";
                                $RES = mysql_query($SQL);
                                $articletext_id = mysql_insert_id();
                              }
                              @mysql_free_result($RES);
                            }

                            $ispublic_ = $ispublic;
                            if ($ispublic_ == "TRUE" && !dynpg_getRightsToUser(C_RIGHTS_PUBLISH, 'GROUP', $group_id))
                                $ispublic_ = "FALSE";

                            $SQL = "INSERT INTO `dynpg_cms_article`
                                  (`GROUP` , `TITLE` , `LEAD` , `DATE_UP` , `DATE_TO` , `TIME_UP` , `TIME_TO` , `CONTENT` , `ISPUBLIC` , `ISATHOME` , `CREATEDATE`, `DATEFIX`, `SHOWVISITS`, `SHOWDATE`, `SEARCHKEYS`, `INDEX`, `OWNER`, `MODIFIER`, `CHANGED`, `AUTO_DELETE`, `META_TITLE`, `META_KEYWORDS`, `META_DESCRIPTION`)
                                  VALUES
                                  (
                                    '{$group_id}',
                                    '".mysql_real_escape_string($_POST["NEW-CHG_TITLE"])."',
                                    '".$_POST["NEW-CHG_LEAD"]."',
                                    '".ConvertMysqlDate($_POST["NEW-CHG_DATE_UP"], "DateToMySql")."',
                                    '".ConvertMysqlDate($_POST["NEW-CHG_DATE_TO"], "DateToMySql")."',
                                    '".mysql_real_escape_string($_POST["NEW-CHG_TIME_UP"])."', '".mysql_real_escape_string($_POST["NEW-CHG_TIME_TO"])."',
                                    '{$articletext_id}',
                                    '{$ispublic_}',
                                    'FALSE',
                                    '".time()."',
                                    '{$fixtime}',
                                    '{$showvisits}',
                                    '{$showdate}',
                                    '".mysql_real_escape_string($_POST["NEW-CHG_SEARCHKEYS"])."',
                                    '".mysql_real_escape_string($_POST["NEW-CHG_INDEX"])."',
                                    '".mysql_real_escape_string($_SESSION['ID'])."',
                                    NULL,
                                    UNIX_TIMESTAMP(),
                                    " . (empty($_POST["NEW-CHG_AUTO_DELETE"]) ? 'NULL': mysql_real_escape_string($_POST["NEW-CHG_AUTO_DELETE"])) . ",
                                    '".mysql_real_escape_string($_POST["NEW-CHG_META_TITLE"])."',
                                    '".mysql_real_escape_string($_POST["NEW-CHG_META_KEYWORDS"])."',
                                    '".mysql_real_escape_string($_POST["NEW-CHG_META_DESCRIPTION"])."'
                                  )";

                            $RES = mysql_query($SQL);

                            $article_id = mysql_insert_id();

                            mysql_query("INSERT INTO `dynpg_cms_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`, `PUBLISH`)
                                      VALUES ('".mysql_real_escape_string($_SESSION["ID"])."', 'ARTICLE', '$article_id',
                                          'TRUE', 'TRUE', 'TRUE', '".(dynpg_getRightsToUser(C_RIGHTS_PUBLISH, 'GROUP', $group_id)?'TRUE':'FALSE')."')");

                              if (! dynpg_getRightsToUser(C_RIGHTS_AUTARKIC) ) {
                                  $_ = mysql_query("SELECT DISTINCT A.*, B.DELETE, B.CHANGE, B.PUBLISH FROM `dynpg_cms_user` AS A INNER JOIN `dynpg_cms_rights` AS B ON A.`id` = B.`USERID` WHERE B.`PARENT` = 'GROUP' AND B.`SECTION` = '".mysql_real_escape_string($group_id)."' AND ( B.`CREATE` = 'TRUE' OR B.`CHANGE` = 'TRUE' OR B.`DELETE` = 'TRUE' )");

                                  while ( $r = mysql_fetch_assoc($_) ) {
                                                  mysql_query("INSERT INTO `dynpg_cms_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`, `PUBLISH`)
                                       VALUES ('{$r['id']}', 'ARTICLE', '$article_id', 'TRUE', '{$r['DELETE']}', '{$r['CHANGE']}', '{$r['PUBLISH']}')");
                                  }
                                          }

                            @mysql_free_result($RES);

                            if ($_POST["SEL_IMAGE"]!="-1")
                            {
                              $SQL = "INSERT INTO `dynpg_cms_leadimages` (`IID` , `AID` , `ALIGN` )
                                    VALUES ('".mysql_real_escape_string($_POST['SEL_IMAGE'])."','$article_id','".mysql_real_escape_string($_POST['SEL_IMAGE_ALIGN'])."')";
                              $RES = mysql_query($SQL);

                              @mysql_free_result($RES);
                            }
                        }
                    } else
                        $Sucessfull=FALSE;
                break;
                default:
                    $Sucessfull=FALSE;
                break;
                }
            }
        }
    }


    //
    // handle superficial actions
    //

    if ( empty($acttype) || $acttype=="del" || $acttype=="zerofill" )
    {

        //
        // load default entries
        //

        $_get_title     = "";
        $_get_lead      = "";
        $_get_lead_HTML = "";
        $_get_date_up   = "00.00.0000";
        $_get_date_to   = "00.00.0000";
        $_get_time_up   = "00:00:00";
        $_get_time_to   = "00:00:00";
        $_get_fix_date  = "00.00.0000";
        $_get_fix_time  = "00:00:00";
        $_get_searchkeys = "";
        $_get_index     = "0";
        $_get_auto_delete = null;
        $_get_options = Array();
        $_get_meta_title = "";
        $_get_meta_keywords = "";
        $_get_meta_description = "";

        /* $textto comes from _texts.php after creating one. */
        $_get_content = "-1";
        $_get_contentRef = $GLOBALS["lang_dpg"]->str["lang_group_valueText1"];
        $_get_content_text = "";
        if ( !empty($textto) ) {
            $SQL_CONTENT = "SELECT * FROM `dynpg_cms_articletexts` WHERE `id`='".(int)$textto."'";
            $RES_CONTENT = mysql_query($SQL_CONTENT);
            if(mysql_num_rows($RES_CONTENT) > 0){
                $_get_content = $textto;
                $_get_contentRef = 'Text-ID ' . $textto;
                $ROW_CONTENT = mysql_fetch_object($RES_CONTENT);
                $_get_content_text = dynpg_public_replaceImageWildcarts_PrivToPub($ROW_CONTENT->TEXT);
            }
        }
        /* end */

        $_get_ispublic   = "TRUE";
        $_get_isathome   = "FALSE";
        $_get_showvisits = "FALSE";
        $_get_showdate   = "FALSE";

        $_get_image_id = '-1';
        $_get_ImageRef = $GLOBALS["lang_dpg"]->str["lang_group_valueText2"];

        unset($_get_image_align);
        $SubmitButtonValue = $GLOBALS["lang_dpg"]->str["lang_articles_create_button"];

        if (!empty($acttype) && $acttype=="zerofill")
        {
            $SQL = "UPDATE `dynpg_cms_counter` SET `dynpg_cms_counter`.`visits`='0' WHERE `dynpg_cms_counter`.`section`='article>".(int)$aid."'";
            $RES = mysql_query($SQL);

            $Sucessfull=TRUE;
        }
    }
    else if ( !empty($acttype) && ($acttype=="chg" || $acttype=="dub") && !empty($aid) ) {
        //
        // pre-change
        //


        $SQL = "SELECT * FROM `dynpg_cms_article` WHERE `id`='".(int)$aid."'";
        $RES = mysql_query($SQL);
        $ROW = mysql_fetch_object($RES);

        $_get_title      = dynpg_htmlentities_rigid($ROW->TITLE,ENT_COMPAT,true);
        $_get_lead       = dynpg_htmlentities_rigid($ROW->LEAD,ENT_COMPAT,true);
        $_get_lead_HTML  = dynpg_public_replaceImageWildcarts_PrivToPub($ROW->LEAD);
        $_get_date_up    = ConvertMysqlDate($ROW->DATE_UP, "MySqlToDate");
        $_get_date_to    = ConvertMysqlDate($ROW->DATE_TO, "MySqlToDate");
        $_get_time_up    = $ROW->TIME_UP;
        $_get_time_to    = $ROW->TIME_TO;
        $_get_index      = $ROW->INDEX;
        $_get_auto_delete = $ROW->AUTO_DELETE;
        $_get_meta_title = $ROW->META_TITLE;
        $_get_meta_keywords = $ROW->META_KEYWORDS;
        $_get_meta_description = $ROW->META_DESCRIPTION;

        $_get_content    = '-1';
        $_get_contentRef = $GLOBALS["lang_dpg"]->str["lang_group_valueText1"];
        $_get_content_text = "";

        if ( $ROW->CONTENT > 0 ) {
            $SQL_CONTENT = "SELECT * FROM `dynpg_cms_articletexts` WHERE `id`=".$ROW->CONTENT;
            $RES_CONTENT = mysql_query($SQL_CONTENT);
            if(mysql_num_rows($RES_CONTENT) > 0){
                $_get_content    = $ROW->CONTENT;
                $_get_contentRef = 'Text-ID ' . $ROW->CONTENT;
                $ROW_CONTENT = mysql_fetch_object($RES_CONTENT);
                $_get_content_text = dynpg_public_replaceImageWildcarts_PrivToPub($ROW_CONTENT->TEXT);
            }
        }

        $_get_ispublic   = $ROW->ISPUBLIC;
        $_get_isathome   = $ROW->ISATHOME;
        $_get_showvisits = $ROW->SHOWVISITS;
        $_get_showdate   = $ROW->SHOWDATE;
        $_get_searchkeys = $ROW->SEARCHKEYS;

        $dbh = new DB_DynPGDB_Article_Options();
        $dbh->readRow($aid);
        $_get_options = Array();
        while ($row = $dbh->db_fetch_row()) {
        	$_get_options []= $row['option_id_fk'];
		}

        if (!empty($ROW->DATEFIX) && $ROW->DATEFIX!=0 && $ROW->DATEFIX<99999999999)
        {
            $_get_fix_date  = date("d.m.Y", $ROW->DATEFIX);
            $_get_fix_time  = date("H:i:s", $ROW->DATEFIX);
        } else
        {
            $_get_fix_date  = "00.00.0000";
            $_get_fix_time  = "00:00:00";
        }

        @mysql_free_result($RES);

        $SQL = "SELECT DISTINCT A.*, B.* FROM `dynpg_cms_leadimages` AS A INNER JOIN `dynpg_cms_images` AS B ON A.`IID` = B.`id` WHERE A.`AID`='".(int)$aid."'";
        $RES = mysql_query($SQL);

        if ( mysql_num_rows($RES) ) {
            $ROW = mysql_fetch_object($RES);
            $_get_image_id    = $ROW->IID;
            $_get_image_align = $ROW->ALIGN;
            $_get_ImageRef = 'ID ' . $ROW->IID . ': ' . $ROW->NAME;
        } else {
            $_get_image_id    = '-1';
            $_get_image_align = 'LEFT';
            $_get_ImageRef = $GLOBALS["lang_dpg"]->str["lang_group_valueText2"];
        }

    $SubmitButtonValue = $GLOBALS["lang_dpg"]->str["lang_articles_change_button"];
    if($acttype=="dub")
      $SubmitButtonValue = $GLOBALS["lang_dpg"]->str["lang_articles_dublicate_button"];
    }

    // creates an association to an article
    if (!empty($_GET['createAssociation'])) {
        $assoc_title = mysql_real_escape_string(empty($_POST['assoc_title'])? $_POST['assoc_c_title']: $_POST['assoc_title']);

        mysql_query("INSERT INTO `dynpg_cms_articles_assoc` (`article_id_fk`, `assoc_article_id_fk`, `title`) VALUES ('".mysql_real_escape_string($_POST['refID'])."', '".mysql_real_escape_string($_POST['assoc_to'])."', '{$assoc_title}');");
        $Sucessfull = true;
    }

    // deletes an association to an article
    foreach ($_POST as $key => $value) {
        if (preg_match('/deleteAssociation_(\d+)/sim', $key, $matches)) {

            mysql_query("DELETE FROM `dynpg_cms_articles_assoc` WHERE `article_id_fk` = '".mysql_real_escape_string($matches[1])."' AND `assoc_article_id_fk` = '".mysql_real_escape_string($_POST['assoc_id_' . $matches[1]])."'");

            $_POST["STATUS"] = "done";
            $Sucessfull = true;
            break;
        }
    }

    // locks an article
    if (!empty($_GET['handleLock'])) {
        $dbh = new DB_C_DynPG_Lock_DBTable();
        $dbh->insert(Array($aid, null));

        $_POST["STATUS"] = "done";
        $Sucessfull = true;
    }

    // unlocks an article
    if (!empty($_GET['handleUnlock'])) {
        $dbh = new DB_C_DynPG_Lock_DBTable();
        $dbh->delete($aid);

        $_POST["STATUS"] = "done";
        $Sucessfull = true;
    }


    if ( $Sucessfull && (!empty($_POST["STATUS"]) || (!empty($acttype) && $acttype=="zerofill" )) )
    {
        echo "
        <table border=0 Cellpadding=8 Cellspacing=0 class=\"InnerWebsiteTable\" width=400>
        <tr>
            <td bgcolor=".C_WEBSITE_MAINBACKGROUND." valign=top>
                <img src=\"pictures/innertext_info.jpg\"><BR>
                <span class=\"green\">
                 <i>
                    ".$GLOBALS["lang_dpg"]->str["lang_message_success"]."<BR><BR></span>
                    <span class=\"red\">$ErrorMessage</span>
                 </i>
                </span>
            </td>
        </tr>
        </table><BR>
        ";
    }
    else if ( !empty($_POST["STATUS"]) )
    {
        echo "
        <table border=0 Cellpadding=8 Cellspacing=0 class=\"InnerWebsiteTable\" width=400>
        <tr>
            <td bgcolor=".C_WEBSITE_MAINBACKGROUND." valign=top>
                <img src=\"pictures/innertext_info.jpg\"><BR>
                <span class=\"red\"><i>".$GLOBALS["lang_dpg"]->str["lang_articles_message_4a"]."</i><BR><BR>
                <B>".$GLOBALS["lang_dpg"]->str["lang_articles_message_4b"]."</B></span>
            </td>
        </tr>
        </table><BR>
        ";
    }
    else if ( !empty($acttype) && $acttype=="del" && !empty($aid) )
    {
        if (isset($_POST["BATCH_ACTION"]))
        {
            $delstr="";
            for ($i=1; $i<=$_POST["BATCH_ACTION"]; $i++)
                if ( isset($_POST["Check?$i"]) && $_POST["Check?$i"]=="1" )
                    $delstr.=$i.";";
        } else $delstr=$aid;

        echo "
        <table border=0 Cellpadding=8 Cellspacing=0 class=\"InnerWebsiteTable\" width=400>
        <tr>
            <td bgcolor=".C_WEBSITE_MAINBACKGROUND." valign=top>
                <img src=\"pictures/innertext_info.jpg\"><BR>
                <span class=\"yellow\">
                    <i>".$GLOBALS["lang_dpg"]->str["lang_articles_message_5"]."</i>
                    <p align=right>
                    <table border=0 Cellspadding=0 Cellspacing=0>
                     <tr>
                      <form action=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=$sort&orderby=$orderby&p=$Page[NumPage]&s=$Page[EachPage]\" method=\"post\" name=\"SUBMIT_DEL_GROUP\">
                      <td>
                        <input type=\"hidden\" value=\"$delstr\" name=\"DELID\">
                        <input type=\"hidden\" value=\"SUBMITTED\" name=\"STATUS\">
                        <input type=\"hidden\" value=\"Loeschen\" name=\"TYPE\">
                        <input type=\"submit\" class=\"ButtonStyleWhite\" value=\" ".$GLOBALS["lang_dpg"]->str["lang_group_yes"]." \">
                      </td>
                      </form>
                      <form action=\"$_SERVER[PHP_SELF]"."?show=$show&take=$take&sort=$sort&orderby=$orderby&p=$Page[NumPage]&s=$Page[EachPage]"."\" method=\"post\" name=\"SUBMIT_DEL_GROUP\">
                      <td>
                        <input type=\"hidden\" value=\"$delstr\" name=\"DELID\">
                        <input type=\"hidden\" value=\"SUBMITTED\" name=\"STATUS\">
                        <input type=\"hidden\" value=\"LoeschenAlles\" name=\"TYPE\">
                        <input type=\"submit\" style=\"width: 250px; background-image: url('pictures/button_bg-long.gif');\" class=\"ButtonStyleWhite\" value=\"".$GLOBALS["lang_dpg"]->str["lang_group_yesAll"]."\">
                      </td>
                      </form>
                      <form action=\"$_SERVER[PHP_SELF]?".preg_replace("/&acttype=(\w+)/", "", "show=$show&take=$take&sort=$sort&orderby=$orderby&p=$Page[NumPage]&s=$Page[EachPage]")."\" method=\"post\" name=\"SUBMIT_DEL_GROUP\">
                      <td>
                        <input type=\"submit\" class=\"ButtonStyleWhite\" value=\"".$GLOBALS["lang_dpg"]->str["lang_group_no"]."\">
                      </td>
                      </form>
                     </tr>
                    </table>
                    </p>
                </span>
            </td>
        </tr>
        </table><BR>
        ";
    }

include 'searchbox.inc.php';
?>
<table border=0 Cellpadding=6 Cellspacing=0 width="400" class="WebsiteTable">
<tr>
    <td bgcolor=<?php if (!isset($acttype)||($acttype=="del")||($acttype=="zerofill")) echo C_WEBSITE_AKTBACKGROUND; else echo C_WEBSITE_MAINBACKGROUND; ?>>
        <img src="pictures/imgbtn_create.gif">
        <a href="<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=$sort&orderby=$orderby&p=$Page[NumPage]&s=$Page[EachPage]"; ?>"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_create"]; ?><b></a>
    </td>
    <td bgcolor=<?php if (isset($acttype)&&($acttype=="chg")) echo C_WEBSITE_AKTBACKGROUND; else echo C_WEBSITE_MAINBACKGROUND; ?>>
        <img src="pictures/imgbtn_edit.gif">
        <b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_change"]; ?></b>
    </td>
  <td bgcolor=<?php if (isset($acttype)&&($acttype=="dub")) echo C_WEBSITE_AKTBACKGROUND; else echo C_WEBSITE_MAINBACKGROUND; ?>>
    <img src="pictures/imgbtn_dublicate.gif">
    <b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_duplication"]; ?></b>
  </td>
</tr>
</table>
<?php
if(!isset($acttype) || $acttype != "dub"){
?>
<table border=0 Cellpadding=8 Cellspacing=0 width="100%" class="InnerWebsiteTable">
<tr>
    <td bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?> valign=top colspan=3>
    <?php
    $articleFormDisplay = 'block';
    $showFormLayer = 'none';
    $hideFormLayer = 'block';
    if((!isset($acttype) && !isset($_GET['p']) && !isset($_GET['textto'])) || (isset($acttype) && $acttype != "chg")){
      $articleFormDisplay = 'none';
      $showFormLayer = 'block';
      $hideFormLayer = 'none';
    }
    ?>
    <div style="display:<?php echo $showFormLayer; ?>; border: 0; padding: 0; margin: 0" id="showArticleForm">
      <strong><a href="javascript:void(true);" onclick="jvShowHideHTML4Element('articleForm',Array('showArticleForm'));jvShowHideHTML4Element('hideArticleForm',Array())" style="text-decoration: none"><img src="pictures/subtree_pl.gif" alt="Plu" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_articles_form_show"]; ?>" border="0" />&nbsp;<?php echo $GLOBALS["lang_dpg"]->str["lang_articles_form_show"]; ?></a></strong>
    </div>
    <div style="display:<?php echo $hideFormLayer; ?>; border: 0; padding: 0; margin: 0 0 5px 0" id="hideArticleForm">
      <strong><a href="javascript:void(true);" onclick="jvShowHideHTML4Element('showArticleForm',Array('articleForm','hideArticleForm'))" style="text-decoration: none"><img src="pictures/subtree_min.gif" alt="Min" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_articles_form_hide"]; ?>" border="0" />&nbsp;<?php echo $GLOBALS["lang_dpg"]->str["lang_articles_form_hide"]; ?></a></strong>
    </div>
        <div style="display:<?php echo $articleFormDisplay; ?>; border: 0; padding: 0; margin: 0" id="articleForm">
      <table border=0 Cellpadding=5 Cellspacing=0 style="width: 100%;" class="InnerWebsiteTableTransparent">
       <form action=<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=$sort&orderby=$orderby&p=$Page[NumPage]&s=$Page[EachPage]"; ?> method="post" name="SUBMIT_NEW-CHG_ARTICLE" accept-charset="UTF-8">

       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
            <td align="left"><input type="submit" class="ButtonStyleWhite" value="<?php echo $SubmitButtonValue; ?>"></td>
            <td align="right"><input type="submit" class="ButtonStyleWhite" value="<?php echo $SubmitButtonValue; ?>"></td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
            <td colspan="2"></td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
        <td width="120" valign="middle" nowrap="nowrap"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_group"]; ?></b></td>
        <td>
           <select size=1 name="SEL_GROUP" style="width: 100%;" class="TextFieldStyleWhite">
            <option value="<?php echo $take; ?>"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_choose"]; ?></option>
           <?php
            $mysql_result = mysql_query(
              "SELECT DISTINCT
                              A.*,
                              B.*
                           FROM
                              `dynpg_cms_group_treestruct` AS A
                              INNER JOIN `dynpg_cms_groups` AS B
                              ON A.`element_id_fk` = B.`id`
                           WHERE
                              A.`root_id_fk` IS NULL
                           GROUP BY
                              A.`element_id_fk`
                           ORDER BY
                              B.`INDEX` ASC"
            );

            $GLOBALS['__HTML_OUT_ROW'] = '<option value="%ID%" selected="selected">%SYMB% %NAME%</option>';

            while ( $mysql_row = mysql_fetch_array($mysql_result, MYSQL_ASSOC) ) {
                $_ouput = $GLOBALS['__HTML_OUT_ROW'];

                if ( !is_null($mysql_row['successor_id_fk']) ) {
                    $__grp_has_Successors = TRUE;
                } else {
                    $__grp_has_Successors = FALSE;
                }

                if ( $__grp_has_Successors ) {
                    $_ouput = str_replace('%SYMB%', '', $_ouput);
                } else {
                    $_ouput = str_replace('%SYMB%', '', $_ouput);
                }

                foreach ( $mysql_row as $key => $value ) {
                    $value = dynpg_htmlentities_rigid($value,ENT_COMPAT,true);

                    $_ouput = str_replace('%'.strtoupper($key).'%', $value, $_ouput);
                }

                if ( $take != $mysql_row['element_id_fk'] ) {
                    $_ouput = str_replace(' selected="selected"', '', $_ouput);
                }

                if ( dynpg_getRightsToUser(null, 'GROUP', $mysql_row['id'], 'asArray') != Array('FALSE', 'FALSE', 'FALSE', 'FALSE') ) {
                    echo $_ouput;

                    if ( !is_null($mysql_row['element_id_fk']) ) {
                        dnypg_interna_List_Successors($mysql_row['element_id_fk'], 1, $GLOBALS['__HTML_OUT_ROW'], 'NAME', 'ASC', FALSE, $take);
                    }
                }
            }
           ?>
           </div>
        </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
        <td nowrap="nowrap"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_A_title"]; ?></b></td>
        <td><input type="text" size=60 name="NEW-CHG_TITLE" style="width: 280px;" class="TextFieldStyleWhite" value="<?php echo $_get_title; ?>">
          </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
        <td nowrap="nowrap" valign="top">
            <a href="javascript:void(true);" onclick="jvShowHideHTML4Element('articleLead',Array());" style="text-decoration: none"><img src="pictures/subtree_pl.gif" alt="Plu" title="Expand" border="0" />&nbsp;<b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_lead"]; ?></b></a>
        </td>
        <td style="width: 100%;">
            <div style="display: <?php print (isset($acttype) && $acttype == 'chg')? 'block': 'none'; ?>; border: 0; background-color: white; padding: 0;" id="articleLead">
              <textarea id="NEW-CHG_LEAD" name="NEW-CHG_LEAD" rows="20" cols="70"  style="width: 100%; height: 150px; clear: both;"><?php echo dynpg_htmlentities_rigid($_get_lead_HTML,ENT_COMPAT,true); ?></textarea></div>
        </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
        <td nowrap="nowrap" valign=middle><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_content"]; ?></b></td>
        <td><input type="hidden" name="SEL_CONTENT" id="SEL_CONTENT" value="<?php echo $_get_content ?>" />
                  <input type="text" name="resume_input_texts" id="resume_input_texts" value="<?php echo $_get_contentRef ?>" style="width: 250px;" class="TextFieldStyleWhite" />

                  <a href="javascript: LoadPopUp('backendpopup/popup.php?popUpResource=texts', '800', '600', 'yes');"><img src="pictures/imgbtn_openpopup.gif" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_group_choseContent"]; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_group_choseContent"]; ?>" border="0" /></a>
        </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
        <td width="100" valign="top" nowrap="nowrap"><a href="javascript:void(true);" onclick="jvShowHideHTML4Element('articleContentText',Array());" style="text-decoration: none"><img src="pictures/subtree_pl.gif" alt="Plu" title="Expand" border="0" />&nbsp;<b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_content_edit"]; ?></b></a></td>
        <td valign="top">
           <div style="display: <?php print (isset($acttype) && $acttype == 'chg')? 'block': 'none'; ?>; border: 0; background-color: white; padding: 0;" id="articleContentText">
            <textarea id="NEWCHG_TEXT" name="NEWCHG_TEXT" rows="20" cols="70" style="width: 100%;height: 400px"><?php echo dynpg_htmlentities_rigid($_get_content_text,ENT_COMPAT,true); ?></textarea></div>
        </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
        <td nowrap="nowrap" valign=middle><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_limit"]; ?><BR></b></td>
        <td>
          <table border=0 Cellpadding=2 Cellspacing=0>
          <tr>
           <td><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_limit_from"]; ?> </td>
           <td>
             <input type="text" id="limit_date_up" name="NEW-CHG_DATE_UP" class="TextFieldStyleWhite" maxlength="10" value="<?php echo $_get_date_up; ?>" style="vertical-align: top; width: 74px;">
             <img src="pictures/imgbtn_calendar.gif" alt="calendar" style="cursor: pointer;" onclick="displayCalendar(document.getElementById('limit_date_up'),'dd.mm.yyyy',this)" />
             <input type="text" name="NEW-CHG_TIME_UP" class="TextFieldStyleWhite" maxlength="8" value="<?php echo $_get_time_up; ?>" style="vertical-align: top; width: 62px;">
           </td>
           <td><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_time"]; ?></td>
           <td>&nbsp;&nbsp;&nbsp;</td>
           <td><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_limit_to"]; ?> </td>
           <td>
             <input type="text" id="limit_date_to" name="NEW-CHG_DATE_TO" class="TextFieldStyleWhite" maxlength="10" value="<?php echo $_get_date_to; ?>" style="vertical-align: top; width: 74px;">
             <img src="pictures/imgbtn_calendar.gif" alt="calendar" style="cursor: pointer;" onclick="displayCalendar(document.getElementById('limit_date_to'),'dd.mm.yyyy',this)" />
             <input type="text" name="NEW-CHG_TIME_TO" class="TextFieldStyleWhite" maxlength="8" value="<?php echo $_get_time_to; ?>" style="vertical-align: top; width: 62px;">
           </td>
           <td><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_time"]; ?></td>
          </tr>
          </table>
          <!--
            <span class="TinyEx"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_limit_desc"]; ?></span>
          -->
          </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
        <td nowrap="nowrap" valign=middle><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_fixpoint"]; ?><BR></b></td>
        <td>
          <table border=0 Cellpadding=2 Cellspacing=0>
          <tr>
           <td>
                  <input type="text" size=10 id="fix_date" name="NEW-CHG_FIX_DATE" class="TextFieldStyleWhite" maxlength="10" value="<?php echo $_get_fix_date; ?>" style="vertical-align: top; width: 74px;">
                  <img src="pictures/imgbtn_calendar.gif" alt="calendar" style="cursor: pointer;" onclick="displayCalendar(document.getElementById('fix_date'),'dd.mm.yyyy',this)" />
                  <input type="text" size=7 name="NEW-CHG_FIX_TIME" class="TextFieldStyleWhite" maxlength="8" value="<?php echo $_get_fix_time; ?>" style="vertical-align: top; width: 62px;">
            </td>
            <td><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_time"]; ?></td>
           </tr>
           </table>
          </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
        <td nowrap="nowrap" valign=middle><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_auto_delete"]; ?><BR></b></td>
        <td>
            <select size="1" name="NEW-CHG_AUTO_DELETE" class="TextFieldStyleWhite">
                <option value=""<?php echo $_get_auto_delete == null? ' selected="selected"': ''; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_auto_delete_0"]; ?></option>
                <option value="1"<?php echo $_get_auto_delete == 1? ' selected="selected"': ''; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_auto_delete_1"]; ?></option>
                <option value="2"<?php echo $_get_auto_delete == 2? ' selected="selected"': ''; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_auto_delete_2"]; ?></option>
                <option value="3"<?php echo $_get_auto_delete == 3? ' selected="selected"': ''; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_auto_delete_3"]; ?></option>
                <option value="4"<?php echo $_get_auto_delete == 4? ' selected="selected"': ''; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_auto_delete_4"]; ?></option>
            </select>
        </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
        <td nowrap="nowrap" valign=middle><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_leadImg"]; ?></b></td>
        <td><input type="hidden" name="SEL_IMAGE" id="SEL_IMAGE" value="<?php echo $_get_image_id ?>" />
                  <input type="text" name="resume_input" id="resume_input" value="<?php echo $_get_ImageRef ?>" style="width: 250px;" class="TextFieldStyleWhite" />

                  <a href="javascript: LoadPopUp('backendpopup/popup.php?popUpResource=images', '800', '600', 'yes');"><img src="pictures/imgbtn_openpopup.gif" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_group_choseFile"]; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_group_choseFile"]; ?>" border="0" /></a>
          </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
        <td nowrap="nowrap" valign=middle><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_align"]; ?></b></td>
        <td><select size=1 name="SEL_IMAGE_ALIGN" style="width: 270px;" class="TextFieldStyleWhite">
                 <?php
                  $Aligns = array("LEFT"=>1,"RIGHT"=>2,"BOTTOM"=>3,"TOP"=>4);
                  $s = Array();
                  for ($i=1; $i<=4; $i++)
                    if ( isset($_get_image_align) && $Aligns[$_get_image_align]==$i )
                     $s[$i-1] = "selected"; else $s[$i-1]="";
                 ?>
                 <option value="LEFT"<?php echo $s[0]; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_group_dir_l"]; ?></option>
                 <option value="RIGHT"<?php echo $s[1]; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_group_dir_r"]; ?></option>
                 <option value="bottom" <?php echo $s[2]; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_group_dir_d"]; ?></option>
                 <option value="top" <?php echo $s[3]; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_group_dir_u"]; ?></option>

                 <?php unset($s); ?>
          </select>
          </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
        <td nowrap="nowrap"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_public"]; ?></b></td>
        <td><input type="checkbox" name="CH_ISPUBLIC" style="margin: 0 2px 0 0;" value="1" <?php if ($_get_ispublic=="TRUE") echo "checked"; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_public_yes"]; ?> </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
        <td nowrap="nowrap"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_home"]; ?></b></td>
        <td><input type="checkbox" name="CH_ISATHOME" style="margin: 0 2px 0 0;" value="1" <?php if ($_get_isathome=="TRUE") echo "checked"; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_home_yes"]; ?> </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
        <td nowrap="nowrap"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_visits"]; ?></b></td>
        <td><input type="checkbox" name="CH_SHOWVISITS" style="margin: 0 2px 0 0;" value="1" <?php if ($_get_showvisits=="TRUE") echo "checked"; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_group_yesVisits"]; ?> </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
        <td nowrap="nowrap"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_showDate"]; ?><BR></b></td>
        <td><input type="checkbox" name="CH_SHOWDATE" style="margin: 0 2px 0 0;" value="1" <?php if ($_get_showdate=="TRUE") echo "checked"; ?>><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_showDate_yes"]; ?> </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
        <td nowrap="nowrap" valign="middle"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_search"]; ?><BR></b></td>
        <td>
          <input type="text" size="60" name="NEW-CHG_SEARCHKEYS" value="<?php echo $_get_searchkeys; ?>" style="width: 280px;" class="TextFieldStyleWhite" />
          <!-- <br /><span class="TinyEx"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_search_desc"]; ?></span>-->
        </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
        <td nowrap="nowrap"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_index"]; ?></b></td>
        <td><input type="text" name="NEW-CHG_INDEX" value="<?php echo $_get_index; ?>" style="width: 50px; text-align: center;" class="TextFieldStyleWhite" />
          </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
        <td nowrap="nowrap" valign="top"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_options"]; ?></b></td>
        <td>
        	<?php
        		$dbh = new DB_DynPGDB_Article_Options();
        		$dbh->readAll($_SESSION["LANGUAGE"]);
        		while ($row = $dbh->db_fetch_row()) {
        			$selected = in_array($row['option_id'], $_get_options)? 'checked="checked"': '';
        			print "<input type=\"checkbox\" name=\"article_option_{$row['option_id']}\" value=\"{$row['option_id']}\" {$selected} /> " . dynpg_htmlentities_rigid($row['description'],ENT_COMPAT,true) . "<br />";
				}
        	?>
		</td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
        <td nowrap="nowrap"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_meta_title"]; ?></b></td>
        <td><input type="text" name="NEW-CHG_META_TITLE" value="<?php echo $_get_meta_title; ?>" style="width: 280px;" class="TextFieldStyleWhite" />
          </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
        <td nowrap="nowrap"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_meta_keywords"]; ?></b></td>
        <td><input type="text" name="NEW-CHG_META_KEYWORDS" value="<?php echo $_get_meta_keywords; ?>" style="width: 280px;" class="TextFieldStyleWhite" />
          </td>
       </tr>
       <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
        <td nowrap="nowrap"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_meta_description"]; ?></b></td>
        <td><input type="text" name="NEW-CHG_META_DESCRIPTION" value="<?php echo $_get_meta_description; ?>" style="width: 280px;" class="TextFieldStyleWhite" />
          </td>
       </tr>
       <?php
       $trBgColor = C_WEBSITE_MAINBACKGROUND_ALT;
       if (empty($acttype) || $acttype != 'del'){
        $trBgColor = C_WEBSITE_MAINBACKGROUND;
       ?>
         <tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>">
          <td valign="top" nowrap="nowrap" colspan="2">
            <a href="javascript:void(true);" onclick="$('#duplicateInGroup').slideToggle('fast');" style="text-decoration: none"><img src="pictures/subtree_pl.gif" alt="Plu" title="Expand" border="0" />
            <b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_duplicate"]; ?></b></a>
          </td>
         </tr>
         <tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>">
          <td valign="top" nowrap="nowrap" colspan="2">
             <div style="display:none; border: 1px #95acc0 solid; background-color: white; padding: 2px 0 2px 0;" id="duplicateInGroup">
             <p style="margin: 5px;"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_duplicate_inGroup"]; ?></b></p>
             <table border="0" Cellpadding="2" Cellspacing="0">
             <tr>
                <?php if(!empty($aid)) { ?>
                <td><span style="margin: 1px 0 0 5px;">*)</span></td>
                <?php } ?>
                <td><span style="margin: 1px 0 0 5px;">1)</span></td>
                <td><span style="margin: 1px 0 0 5px;">2)</span></td>
                <td style="width: 100%;">&nbsp;</td>
             </tr>
             <?php
                  $_asGroupContent = array();
                  $_containsArticle = array();
                  if(!empty($aid)){
                     $mysql_result = mysql_query(
                        "SELECT DISTINCT
                                        A.id
                                     FROM
                                        `dynpg_cms_groups` AS A
                                     WHERE
                                        A.`REFID` = '".(int)$aid."'"
                      );
                      while ($mysql_row = mysql_fetch_array($mysql_result, MYSQL_ASSOC) ) {
                          $_asGroupContent[] = $mysql_row["id"];
                      }
                      $content = mysql_fetch_assoc(mysql_query("SELECT `CONTENT` FROM `dynpg_cms_article` WHERE `id` = '".(int)$aid."'"));
                      $mysql_result = mysql_query(
                        "SELECT DISTINCT `GROUP` FROM `dynpg_cms_article` WHERE `CONTENT` = '".$content['CONTENT']."'"
                      );
                      while ($mysql_row = mysql_fetch_array($mysql_result, MYSQL_ASSOC) ) {
                          $_containsArticle[] = 'B.`id` = ' . $mysql_row["GROUP"];
                      }
                  }

                  if (count($_containsArticle))
                    $_ca = 'IF(' . implode(' OR ', $_containsArticle) . ', \'x\', \' \')';
                  else
                    $_ca = '\' \'';

                  $mysql_result = mysql_query(
                    "SELECT DISTINCT
                                    A.*,
                                    B.*,
                                    {$_ca} AS `CONTAINS_ARTICLE`
                                 FROM
                                    `dynpg_cms_group_treestruct` AS A
                                    INNER JOIN `dynpg_cms_groups` AS B
                                    ON A.`element_id_fk` = B.`id`
                                 WHERE
                                    A.`root_id_fk` IS NULL
                                 GROUP BY
                                    A.`element_id_fk`
                                 ORDER BY
                                    B.`INDEX` ASC"
                  );

                if(!empty($aid))
                    $GLOBALS['__HTML_OUT_ROW'] = '<tr><td><pre>%CONTAINS_ARTICLE%</pre></td>';
                else
                    $GLOBALS['__HTML_OUT_ROW'] = '<tr>';

                $GLOBALS['__HTML_OUT_ROW'] .= '<td><input type="checkbox" name="SEL_GROUP_%ID%" value="%ID%" style="margin: 1px 0 0 5px;"></td>';
                $GLOBALS['__HTML_OUT_ROW'] .= '<td><input type="checkbox" name="SEL_GROUP_ART_%ID%" value="%ID%" style="margin: 1px 0 0 5px;" checked="checked"></td><td>%SYMB% %NAME%</td></tr>';

                while ( $mysql_row = mysql_fetch_array($mysql_result, MYSQL_ASSOC) ) {
                    $_ouput = $GLOBALS['__HTML_OUT_ROW'];
                    $__grp_has_Successors = !is_null($mysql_row['successor_id_fk']);

                    if ( $__grp_has_Successors ) {
                        $_ouput = str_replace('%SYMB%', '', $_ouput);
                    } else {
                        $_ouput = str_replace('%SYMB%', '', $_ouput);
                    }

                    foreach ( $mysql_row as $key => $value ) {
                        $value = dynpg_htmlentities_rigid($value,ENT_COMPAT,true);

                        $_ouput = str_replace('%'.strtoupper($key).'%', $value, $_ouput);
                    }

                    if(!in_array($mysql_row["id"], $_asGroupContent)){
                        $_ouput = str_replace(' checked="checked"', '', $_ouput);
                    }

                    if ( dynpg_getRightsToUser(null, 'GROUP', $mysql_row['id'], 'asArray') != Array('FALSE', 'FALSE', 'FALSE', 'FALSE') ) {
                        echo $_ouput;

                        if (!is_null($mysql_row['element_id_fk'])) {
                            dnypg_interna_List_Successors_articles($mysql_row['element_id_fk'], 1, $GLOBALS['__HTML_OUT_ROW'], 'NAME', 'ASC', true, $_asGroupContent, true, $_containsArticle);
                        }
                    }
                }
             ?>
             <tr>
                 <td colspan="2">
                    <p style="margin: 5px;"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_content"]; ?></b></p>
                    <input type="radio" name="duplicateContent" value="1" checked="checked"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_duplicate_duplicateContent"]; ?><br />
                    <input type="radio" name="duplicateContent" value="0"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_duplicate_keepContent"]; ?>
                 </td>
             </tr>
             </table>
             </div>
          </td>
         </tr>
       <?php
       }
       ?>
       <tr bgcolor=<?php echo $trBgColor ?>>
       <td align="left"><input type="submit" class="ButtonStyleWhite" value="<?php echo $SubmitButtonValue; ?>"></td>
       <td align="right"><input type="submit" class="ButtonStyleWhite" value="<?php echo $SubmitButtonValue; ?>"></td>
       </tr>
       <input type="hidden" value="<?php echo dynpg_htmlentities_rigid($SubmitButtonValue,ENT_COMPAT,true); ?>" name="TYPE">
       <input type="hidden" value="<?php if (!empty($aid)) echo $aid; ?>" name="CHGID">
       <input type="hidden" value="SUBMITTED" name="STATUS">
       </form>
      </table>
    </div>
  </td>
</tr>
</table>
  <BR>
<?php
} //if not duplication view
else{ //duplication view
?>
<table border=0 Cellpadding=8 Cellspacing=0 width="100%" class="InnerWebsiteTable">
<tr>
  <td bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?> valign=top colspan=3>
    <table border=0 Cellpadding=5 Cellspacing=0 style="width: 100%;" class="InnerWebsiteTableTransparent">
     <form action="<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=$sort&orderby=$orderby&p=$Page[NumPage]&s=$Page[EachPage]"; ?>" method="post" name="SUBMIT_DUB_ARTICLE" accept-charset="UTF-8">
     <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
      <td width="100"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_A_title"]; ?></b></td>
      <td><input type="text" size=60 name="DUB_NEW-CHG_TITLE" style="width: 280px;" class="TextFieldStyleWhite" value="<?php echo $_get_title; ?>"></td>
     </tr>
     <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?>>
      <td width="100"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_content"]; ?></b></td>
      <td>
        <input type="radio" name="duplicateContent" value="1" checked="checked"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_duplicate_duplicateContent"]; ?><br/>
        <input type="radio" name="duplicateContent" value="0"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_duplicate_keepContent"]; ?>
      </td>
     </tr>
     <tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
     <td></td>
     <td align=right><input type="submit" class="ButtonStyleWhite" value="<?php echo $SubmitButtonValue; ?>"></td>
     </tr>
     <input type="hidden" value="<?php echo dynpg_htmlentities_rigid($SubmitButtonValue,ENT_COMPAT,true); ?>" name="TYPE">
     <input type="hidden" value="<?php if (!empty($aid)) echo $aid; ?>" name="DUBID">
     <input type="hidden" value="SUBMITTED" name="STATUS">
     </form>
    </table>
  </td>
</tr>
</table>

<BR>
<?php
}
?>
<table border=0 Cellpadding=8 Cellspacing=0 width="<?php if ( empty($tblexp) || $tblexp=="bound" ) echo "100%"; else echo "1200" ?>" class="InnerWebsiteTable">
<tr>
  <td bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND ?> valign=top>
    <table border=0 Cellpadding=5 Cellspacing=0 width="100%" class="InnerWebSiteTableWhite">
      <tr>
          <td align="left">
                    <?php
                        echo "<a name=\"TableHead\"></a>";
                        if ( empty($tblexp) || $tblexp=="bound" )
                        {
                            echo "<a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=$sort&orderby=$orderby&tblexp=expand&p=$Page[NumPage]&s=$Page[EachPage]#TableHead\" style=\"text-decoration:none;\"><strong>".$GLOBALS["lang_dpg"]->str["lang_articles_expand"]."</strong></a>";
                            $tblexp = "bound";
                        } else
                        {
                            echo "<a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=$sort&orderby=$orderby&tblexp=bound&p=$Page[NumPage]&s=$Page[EachPage]#TableHead\" style=\"text-decoration:none;\"><strong>".$GLOBALS["lang_dpg"]->str["lang_articles_tighten"]."</strong></a>";
                        }
                    ?>
                </td>
        <form action="<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=$sort&orderby=$orderby"; ?>" method="post" name="SUBMIT_PAGES">
        <td valign=top align=right>
        <?php
          $SQL = "SELECT * FROM `dynpg_cms_article` WHERE `dynpg_cms_article`.`GROUP`='".mysql_real_escape_string($take)."' ORDER BY `".mysql_real_escape_string(str_replace('`','',$orderby))."` ".((strtoupper($sort) == 'ASC')?'ASC':'DESC');
          $RES = mysql_query($SQL);
        ?>
          <?php echo $GLOBALS["lang_dpg"]->str["lang_articles_pages"]; ?>
          <select size=1 name="PAGE" class="TextFieldStyleWhite">
            <?php
              for ($i=1; $i<=(ceil(mysql_num_rows($RES)/$Page["EachPage"])); $i++)
                if (($i-1)==$Page["NumPage"])
                  echo "<option value=\"".($i-1)."\" selected>$i</option>";
                    else echo "<option value=\"".($i-1)."\">$i</option>";
            ?>
          </select>
          <select size=1 name="SHOWNUM" class="TextFieldStyleWhite">
            <?php
              for ($i=5; $i<=100; $i=$i+5)
                if ($i==$Page["EachPage"])
                  echo "<option value=\"$i\" selected>$i</option>";
                    else echo "<option value=\"$i\">$i</option>";
            ?>
          </select>
          <?php echo $GLOBALS["lang_dpg"]->str["lang_articles_entry"]; ?> <input type="submit" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_articles_show_button"]; ?>" class="ButtonStyleWhite">
        </td>
        </form>
      </tr>
    </table>

    <BR>

        <div id="referenceBox" style="<?php
                                        echo "background-color: " . C_WEBSITE_AKTBACKGROUND . "; ".
                                             "border: 1px #95acc0 solid; ".
                                             "padding: 5px; ".
                                             "width: 400px; ".
                                             "position: absolute; ".
                                             "z-index: 100; ".
                                             "display: none; ".
                                             "filter:alpha(opacity=90); ".
                                             "-moz-opacity: 0.9; ".
                                             "opacity: 0.9; ";
                                        ?>">

      <form action="<?php echo "{$_SERVER['PHP_SELF']}?show=$show&take=$take&sort=$sort&orderby=$orderby&p=$Page[NumPage]&s=$Page[EachPage]"; ?>&amp;createAssociation=yes" method="post" name="SEARCH_TOTAL" style="margin: 0;">

        <fieldset style="margin: 0; padding: 0 0 3px 3px;">
          <legend><strong><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_assoc_create_id"]; ?></strong></legend>

          <select size="1" name="assoc_to" style="width: 380px;" class="TextFieldStyleWhite">
            <?php echo $buffer_TextIDs; ?>
            </select>
        </fieldset>

        <fieldset style="margin: 0; padding: 0 0 3px 3px;">
          <legend><strong><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_assoc_create_name"]; ?></strong></legend>
          <select size="1" name="assoc_c_title" style="width: 380px;" class="TextFieldStyleWhite">
            <?php
              $res = mysql_query("SELECT * FROM `dynpg_cms_articles_assoc` GROUP BY `title` ORDER BY `title` ASC");
              while($row = mysql_fetch_assoc($res)) {
                $row['title'] = dynpg_htmlentities_rigid($row['title'],ENT_COMPAT,true);
                echo "<option value=\"{$row['title']}\">{$row['title']}</option>";
              }
            ?>
            </select>
            <p style="margin: 0;"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_assoc_or_new"]; ?></p>
          <input type="text" name="assoc_title" maxlength="255" value="" style="width: 380px;" class="TextFieldStyleWhite" />
        </fieldset>

        <div style="margin: 10px 0 0 0;">
          <input type="hidden" name="refID" id="refID" value="" />
          <input type="hidden" name="STATUS" id="STATUS" value="submitted" />
          <input type="hidden" name="TYPE" id="TYPE" value="createAssociation" />
          <input type="button" class="ButtonStyleWhite" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_articles_assoc_action_abort"]; ?>" style="float: left;" onclick="hideElement('referenceBox');" />
          <input type="submit" class="ButtonStyleWhite" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_articles_assoc_action_create"]; ?>" style="float: right;" />
        </div>

      </form>
    </div>

        <form action="<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=$sort&orderby=$orderby&p=$Page[NumPage]&s=$Page[EachPage]"; ?>" method="post" name="SUBMIT_NEW_CHG_ACTION">
        <table border=0 Cellpadding=5 Cellspacing=0 width="100%" class="InnerWebSiteTableWhite">
            <tr>
                <th valign=center align=center width=10 class="seperated"><img src="pictures/space.gif" height=1 width=1></th>
                <th valign=center align=center width=10 class="seperated">
                    <span class="Large"><a href="<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=".$actualsortarray[0]."&orderby=id&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead"; ?>"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_tbl_ID"]; ?></b></a></span>
                </th>
                <th valign=center align=center  class="seperated">
                    <span class="Large"><a href="<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=".$actualsortarray[1]."&orderby=TITLE&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead"; ?>"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_tbl_title"]; ?></b></a></span>
                </th>
                <!--
                <th valign=center align=center  class="seperated">
                    <span class="Large"><a href="<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=".$actualsortarray[2]."&orderby=LEAD&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead"; ?>"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_tbl_lead"]; ?></b></a></span>
                </th>
                -->
                <th width="75" valign=center align=center nowrap="nowrap" class="seperated">
                    <span class="Large"><a href="<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=".$actualsortarray[3]."&orderby=DATE_TO&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead"; ?>"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_tbl_limit"]; ?></b></a></span>
                </th>
                <th valign=center width="55" align=center class="seperated">
                    <span class="Large"><a href="<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=".$actualsortarray[4]."&orderby=CONTENT&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead"; ?>"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_tbl_content"]; ?></b></a></span>
                </th>
                <th valign=center width="70" align=center class="seperated">
                    <span class="Large"><a href="<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=".$actualsortarray[5]."&orderby=ISPUBLIC&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead"; ?>"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_tbl_public"]; ?></b></a></span>
                </th>
                <th valign=center width="50" align=center class="seperated">
                    <span class="Large"><a href="<?php echo $_SERVER["PHP_SELF"]."?show=$show&take=$take&sort=".$actualsortarray[6]."&orderby=ISATHOME&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead"; ?>"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_tbl_home"]; ?></b></a></span>
                </th>
                <th valign=center width="20" align=center class="seperated">
                    <span class="Large"><b><span style="font-family: Arial; font-weight: bold;" class="Large">*<SUP>1</SUP></span></b></span>
                </th>
                <th valign=center width="20" align=center class="seperated">
                    <span class="Large"><b><span style="font-family: Arial; font-weight: bold;" class="Large">*<SUP>2</SUP></span></b></span>
                </th>
                <?php
                    if (!empty($tblexp) && $tblexp=="expand")
                    {
                        echo "
                            <th valign=center align=center class=\"seperated\">
                                <span class=\"Large\"><a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=".$actualsortarray[10]."&orderby=CREATEDATE&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead\"><b>".$GLOBALS["lang_dpg"]->str["lang_articles_tbl_create"]."</b></a></span>
                            </th>
                            <th valign=center align=center class=\"seperated\">
                                <span class=\"Large\"><a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=".$actualsortarray[7]."&orderby=DATEFIX&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead\"><b>".$GLOBALS["lang_dpg"]->str["lang_articles_tbl_fixpoint"]."</b></a></span>
                            </th>
                            <th valign=center align=center class=\"seperated\">
                                <span class=\"Large\"><a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=".$actualsortarray[8]."&orderby=SHOWVISITS&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead\"><b>".$GLOBALS["lang_dpg"]->str["lang_articles_tbl_visits"]."</b></a></span>
                            </th>
                            <th valign=center align=center class=\"seperated\">
                                <span class=\"Large\"><a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=".$actualsortarray[9]."&orderby=SHOWDATE&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead\"><b>".$GLOBALS["lang_dpg"]->str["lang_articles_tbl_date"]."</b></a></span>
                            </th>
                            <th valign=center align=center class=\"seperated\">
                                <span class=\"Large\"><a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=".$actualsortarray[13]."&orderby=OWNER&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead\"><b>".$GLOBALS["lang_dpg"]->str["lang_articles_tbl_owner"]."</b></a></span>
                            </th>
                            <th valign=center align=center class=\"seperated\">
                                <span class=\"Large\"><a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=".$actualsortarray[14]."&orderby=MODIFIER&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead\"><b>".$GLOBALS["lang_dpg"]->str["lang_articles_tbl_modifier"]."</b></a></span>
                            </th>
                            <th valign=center align=center class=\"seperated\">
                                <span class=\"Large\"><a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=".$actualsortarray[15]."&orderby=CHANGED&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead\"><b>".$GLOBALS["lang_dpg"]->str["lang_articles_tbl_changed"]."</b></a></span>
                            </th>
                            <th valign=center align=center class=\"seperated\">
                                <span class=\"Large\"><a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=".$actualsortarray[11]."&orderby=SEARCHKEYS&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead\"><b>".$GLOBALS["lang_dpg"]->str["lang_articles_tbl_search"]."</b></a></span>
                            </th>
                            <th valign=center align=center class=\"seperated\">
                                <span class=\"Large\"><b>".$GLOBALS["lang_dpg"]->str["lang_articles_tbl_leadImg"]."</b></span>
                            </th>
                            <th valign=center align=center class=\"seperated\">
                                <span class=\"Large\"><a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&sort=".$actualsortarray[12]."&orderby=INDEX&tblexp=$tblexp&p=$Page[NumPage]&s=$Page[EachPage]#TableHead\"><b>".$GLOBALS["lang_dpg"]->str["lang_articles_tbl_order"]."</b></a></span>
                            </th>
                        ";
                    }
                ?>
                <th valign=center align=center class="seperated_bottom" colspan="<?php echo $dpgcommunity_exists? "7": "6"; ?>">
                    <span class="Large"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_tbl_actions"]; ?></b></span>
                </th>
            </tr>

            <?php
                if ($dpgcommunity_exists)
                    $SQL =
                    "SELECT DISTINCT
                        A.*,
                        B.`article_id_fk` AS `lock`
                    FROM
                        `dynpg_cms_article` AS A LEFT JOIN `dynpg_community_c_dynpg_lock` AS B
                        ON A.`id` = B.`article_id_fk`
                    WHERE
                        `GROUP` = '".mysql_real_escape_string($take)."'
                    ORDER BY `$orderby` $sort
                    LIMIT " . (int)($Page["NumPage"] * $Page["EachPage"]) . ", ".(int)$Page['EachPage'];
                else
                    $SQL = "SELECT * FROM `dynpg_cms_article` WHERE `dynpg_cms_article`.`GROUP`='".mysql_real_escape_string($take)."' ORDER BY `".mysql_real_escape_string(str_replace('`','',$orderby))."` ".((strtoupper($sort) == 'ASC')?'ASC':'DESC')." LIMIT ".(int)($Page["NumPage"]*$Page["EachPage"]).", ".(int)$Page['EachPage'];


                $RES = mysql_query($SQL);

                $NumArticles = 0;

                while ($ROW = mysql_fetch_object($RES)) {

                 if ( dynpg_getRightsToUser(null, 'ARTICLE', $ROW->id, 'asArray') != Array('FALSE', 'FALSE', 'FALSE', 'FALSE') ) {
                    $VISITS  = @mysql_fetch_object(mysql_query("SELECT * FROM `dynpg_cms_counter` WHERE `section`='article>".$ROW->id."' "));
                    $LEADIMG = @mysql_fetch_object(mysql_query("SELECT * FROM `dynpg_cms_leadimages` WHERE `AID`='".$ROW->id."' "));

                    if ($ROW->OWNER != null)
                        $OWNER = mysql_fetch_object(mysql_query("SELECT * FROM `dynpg_cms_user` WHERE `id`='".mysql_real_escape_string($ROW->OWNER)."' "));

                    if ($ROW->MODIFIER != null)
                        $MODIFIER = mysql_fetch_object(mysql_query("SELECT * FROM `dynpg_cms_user` WHERE `id`='".mysql_real_escape_string($ROW->MODIFIER)."' "));

                    if (!empty($VISITS)) $ArticleVisits = $VISITS->visits; else $ArticleVisits=0;
                    if (!empty($LEADIMG)) $ArticleLeadImg = $LEADIMG->IID; else $ArticleLeadImg = $GLOBALS["lang_dpg"]->str["lang_articles_none"];
                    if ($NumArticles<$ROW->id) $NumArticles=$ROW->id;

                    if( $ROW->CONTENT > 0 ) {
                        $OBJ = mysql_fetch_object(mysql_query("SELECT `GROUP` FROM `dynpg_cms_articletexts` WHERE `id`='".mysql_real_escape_string($ROW->CONTENT)."'"));
                        if (is_object($OBJ))
                            $content = "<span class=\"Large\"><a href=\"$_SERVER[PHP_SELF]?show=4&amp;acttype=chg&amp;aid=".$ROW->CONTENT."&amp;group=".$OBJ->GROUP."&amp;act=openclose_grp&amp;grp=".$OBJ->GROUP."\" title=\"".$GLOBALS["lang_dpg"]->str["lang_articles_changeText"]."\" style=\"font-weight: bold; text-decoration: none;\" target=\"_blank\">".$ROW->CONTENT."</a></span>";
                        else
                            $content = "<span class=\"Large\"><em>(".($ROW->CONTENT).")</em></span>";
                    } else {
                        $content = "-";
                    }

                    $mysql_count_result = mysql_query("SELECT * FROM `dynpg_cms_articles_assoc` WHERE `article_id_fk`='".mysql_real_escape_string($ROW->id)."'");
                    $html_assoc = '';
                    $count_assoc = 0;
                    while ($row = mysql_fetch_assoc($mysql_count_result)) {
                        $row['title'] = dynpg_htmlentities_rigid($row['title'],ENT_COMPAT,true);
                        $html_assoc .= "<option value=\"{$row['assoc_article_id_fk']}\">{$row['title']} &gt; Artikel {$row['assoc_article_id_fk']}</option>";
                        $count_assoc++;
                    }

                    echo "
                    <tr>
                     <td valign=center align=center style=\"width: 25px;\" class=\"seperated\">
                        <input type=\"checkbox\" name=\"Check?".$ROW->id."\" value=\"1\">
                     </td>
                     <td valign=center align=center class=\"seperated\">
                        <b>".$ROW->id."</b>
                     </td>
                     <td valign=center align=left class=\"seperated\">
                        ".dynpg_htmlentities_rigid($ROW->TITLE,ENT_COMPAT,true)."<img src=\"pictures/space.gif\" height=1 width=1>

                        <div id=\"viewReferencesBox_{$ROW->id}\" style=\"background-color: " . C_WEBSITE_AKTBACKGROUND . "; border: 1px #95acc0 solid; padding: 5px; width: 400px; position: absolute; z-index: 100; display: none; filter:alpha(opacity=90); -moz-opacity: 0.9; opacity: 0.9;\">
                            <fieldset style=\"margin: 0; padding: 0 0 3px 3px;\">
                                <legend style=\"font-size: 11px; font-family: Verdana; font-weight: normal; color: #333333;\"><strong>" . $GLOBALS["lang_dpg"]->str["lang_articles_assoc_modify_title"] . "</strong></legend>
                                <select size=\"1\" name=\"assoc_id_{$ROW->id}\" style=\"width: 380px; float: left;\" class=\"TextFieldStyleWhite\">
                                    {$html_assoc}
                                </select>
                            </fieldset>

                            <div style=\"margin: 10px 0 0 0;\">
                                <input type=\"button\" class=\"ButtonStyleWhite\" value=\"" . $GLOBALS["lang_dpg"]->str["lang_articles_assoc_action_abort"] . "\" style=\"float: left;\" onclick=\"hideElement('viewReferencesBox_{$ROW->id}');\" />
                                <input type=\"submit\" name=\"deleteAssociation_{$ROW->id}\" class=\"ButtonStyleWhite\" value=\"" . $GLOBALS["lang_dpg"]->str["lang_articles_assoc_action_delete"] . "\" style=\"float: right;\" />
                            </div>
                        </div>
                     </td>
                     <td valign=center align=\"left\" class=\"seperated\">
                        ".$ROW->DATE_UP." <BR> ".$ROW->TIME_UP." ".$GLOBALS["lang_dpg"]->str["lang_articles_time"]."<BR>
                        <table border=0 cellpadding=0 cellspacing=0 height=1 width=100%><tr><td bgcolor=#999999></td></tr></table>
                        ".$ROW->DATE_TO." <BR> ".$ROW->TIME_TO." ".$GLOBALS["lang_dpg"]->str["lang_articles_time"]."
                     </td>
                     <td valign=center align=\"center\" class=\"seperated\">
                        {$content}
                     </td>
                     <td valign=center align=\"center\" class=\"seperated\">
                        ".(($ROW->ISPUBLIC=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_group_yes"] : $GLOBALS["lang_dpg"]->str["lang_group_no"])."
                     </td>
                     <td valign=center align=\"center\" class=\"seperated\">
                        ".(($ROW->ISATHOME=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_group_yes"] : $GLOBALS["lang_dpg"]->str["lang_group_no"])."
                     </td>
                     <td valign=center align=\"center\" class=\"seperated\">
                        {$ArticleVisits}
                     </td>
                     <td valign=\"middle\" align=\"center\" class=\"seperated\">
                        <a href=\"#\" onclick=\"return moveElement('viewReferencesBox_{$ROW->id}');\" title=\"".$GLOBALS["lang_dpg"]->str["lang_articles_chgAssoc"]."\" style=\"font-weight: bold; text-decoration: none;\">{$count_assoc}</a>
                     </td>";

                     if (!empty($tblexp) && $tblexp=="expand") {
                        if ($ROW->DATEFIX == 99999999999)
                            $DateFix = $GLOBALS["lang_dpg"]->str["lang_articles_none"];
                        else
                            $DateFix = date("d.m.Y", $ROW->DATEFIX)."<BR>".date("H:i ", $ROW->DATEFIX).$GLOBALS["lang_dpg"]->str["lang_articles_time"];

                        echo "
                            <td valign=center align=center class=\"seperated\">
                                ".date("d.m.Y",$ROW->CREATEDATE)."
                            </td>
                            <td valign=center align=center class=\"seperated\">
                                $DateFix
                            </td>
                            <td valign=center align=center class=\"seperated\">
                                ".(($ROW->SHOWVISITS=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_group_yes"] : $GLOBALS["lang_dpg"]->str["lang_group_no"])."
                            </td>
                            <td valign=center align=center class=\"seperated\">
                                ".(($ROW->SHOWDATE=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_group_yes"] : $GLOBALS["lang_dpg"]->str["lang_group_no"])."
                            </td>
                            <td valign=center align=center class=\"seperated\">
                                ".($ROW->OWNER != null? dynpg_htmlentities_rigid($OWNER->NAME,ENT_COMPAT,true): '-')."
                            </td>
                            <td valign=center align=center class=\"seperated\">
                                ".($ROW->MODIFIER != null? dynpg_htmlentities_rigid($MODIFIER->NAME,ENT_COMPAT,true): '-')."
                            </td>
                            <td valign=center align=center class=\"seperated\">
                                ".date("d.m.Y H:i:s", $ROW->CHANGED)."
                            </td>
                            <td valign=center align=center class=\"seperated\">
                                &nbsp;".$ROW->SEARCHKEYS."
                            </td>
                            <td valign=center align=center class=\"seperated\">
                                $ArticleLeadImg
                            </td>
                            <td valign=center align=center class=\"seperated\">
                                ".$ROW->INDEX."
                            </td>";
                    }

                     echo "
                     <td valign=center align=center width=\"20\" class=\"seperated\">
                        <a href=\"_preview.php?aid=".( ($ROW->CONTENT <= 0)? '0': $ROW->CONTENT )."\" title=\"".$GLOBALS["lang_dpg"]->str["lang_articles_doWatch"]."\" target=\"_blank\"><img src=\"pictures/imgbtn_insert.jpg\" border=0></a>
                     </td>
                     <td valign=\"middle\" align=\"center\" class=\"seperated\" width=\"20\">
                        <a href=\"#\" title=\"".$GLOBALS["lang_dpg"]->str["lang_articles_doAssoc"]."\" onclick=\"return moveElement('referenceBox', true, 'refID', '{$ROW->id}');\"><img src=\"pictures/associations.gif\" alt=\"assoc\" border=\"0\"></a>
                     </td>
                     <td valign=center align=center width=\"20\" class=\"seperated\">
                        <a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&acttype=dub&aid=".$ROW->id."\"><img src=\"pictures/imgbtn_dublicate.jpg\" border=\"0\" alt=\"x2\" title=\"".$GLOBALS["lang_dpg"]->str["lang_articles_doDuplicate"]."\"></a>
                     </td>
                     <td valign=center align=center width=\"20\" class=\"seperated\">
                        <a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&acttype=chg&aid=".$ROW->id."&sort=$sort&orderby=$orderby&p=$Page[NumPage]&s=$Page[EachPage]\" title=\"".$GLOBALS["lang_dpg"]->str["lang_articles_doChange"]."\"><img src=\"pictures/imgbtn_edit.jpg\" border=0></a>
                     </td>
                     <td valign=center align=center width=\"20\" class=\"seperated\">
                        <a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&acttype=del&aid=".$ROW->id."&sort=$sort&orderby=$orderby&p=$Page[NumPage]&s=$Page[EachPage]\" title=\"".$GLOBALS["lang_dpg"]->str["lang_articles_doDelete"]."\"><img src=\"pictures/imgbtn_delete.jpg\" border=0></a>
                     </td>
                     <td valign=center align=center width=\"20\" class=\"seperated\">
                        <a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&acttype=zerofill&aid=".$ROW->id."&sort=$sort&orderby=$orderby&p=$Page[NumPage]&s=$Page[EachPage]\" title=\"".$GLOBALS["lang_dpg"]->str["lang_articles_doNull"]."\"><img src=\"pictures/imgbtn_null.jpg\" border=0></a>
                     </td>";

                     //
                     // Check if the plugin dpgcommunity has been installed.
                     // If it is, then show the "lock" button
                     //
                     if ($dpgcommunity_exists) {
                        $superficial_action = $ROW->lock == null? "handleLock": "handleUnlock";
                        $imgbtn_image = $ROW->lock == null? "imgbtn_lock": "imgbtn_unlock";
                        echo "
                         <td valign=center align=center width=\"20\" class=\"seperated_bottom\">
                            <a href=\"$_SERVER[PHP_SELF]?show=$show&take=$take&aid=".$ROW->id."&amp;{$superficial_action}=yes\" title=\"".$GLOBALS["lang_dpg"]->str["lang_articles_doLock"]."\"><img src=\"pictures/{$imgbtn_image}.gif\" border=0></a>
                         </td>";
                     }


                    echo "</tr>";
                }
            }
            ?>
        </table>

        <BR>

        <fieldset style="margin: 5px 1px 1px 1px; padding: 10px; border: 1px #95acc0 solid;">
            <legend style="font-size: 11px; font-family: Verdana; font-weight: normal; color: #004a8e;"><strong><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_batchProcessing"]; ?></strong></legend>

            <a href="#" style="text-decoration: none; font-weight: bold;" onclick='selectAll(); return false;'><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_selectAllArticles"]; ?></a> |
            <a href="#" style="text-decoration: none; font-weight: bold;" onclick='unselectAll(); return false;'><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_unselectAllArticles"]; ?></a> |
            <b><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_selArticles"]; ?> </b>
            <select size=1 name="SEL_ACTION" class="TextFieldStyleWhite">
                <option value=""><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_choose"]; ?></option>
                <option value="MOVE"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_selMove"]; ?></option>
                <option value="DEL"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_selDelete"]; ?></option>
                <option value="NULLEN"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_selNull"]; ?></option>
                <option value="NOTHOME"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_outOfHome"]; ?></option>
                <option value="INTOHOME"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_inToHome"]; ?></option>
                <option value="DOPUBLIC"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_dopublic"]; ?></option>
                <option value="DOPRIVATE"><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_doprivate"]; ?></option>
            </select>
            <input type="hidden" name="BATCH_ACTION" value="<?php echo $NumArticles; ?>">
            <input type="submit" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_articles_do_button"]; ?>" class="ButtonStyleWhite">
        </fieldset>

        <fieldset style="margin: 5px 1px 1px 1px; padding: 10px; border: 1px #95acc0 solid;">
            <legend style="font-size: 11px; font-family: Verdana; font-weight: normal; color: #004a8e;"><strong><?php echo $GLOBALS["lang_dpg"]->str["lang_articles_legend"]; ?></strong></legend>

            <span style="font-family: Arial; font-weight: bold;">*<SUP>1</SUP></span> <?php echo $GLOBALS["lang_dpg"]->str["lang_articles_showAmount"]; ?> <br />
            <span style="font-family: Arial; font-weight: bold;">*<SUP>2</SUP></span> <?php echo $GLOBALS["lang_dpg"]->str["lang_articles_assocAmount"]; ?>
        </fieldset>
    </td>
</tr>
</form>
</table>




